>Table ~DIRECTORYID..PSTARCVFDAT2
>CREATE TABLE ~DIRECTORYID..PSTARCVFDAT2(
>        ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(6,0)    NOT NULL,
>        OPTIONS1          VARCHAR2(240)  NOT NULL,
>        OPTIONS2          VARCHAR2(240)  NOT NULL,
>        OPTIONS3          VARCHAR2(240)  NOT NULL,
>        OPTIONS4          VARCHAR2(240)  NOT NULL,
>        OPTIONS5          VARCHAR2(240)  NOT NULL,
>        OPTIONS6          VARCHAR2(240)  NOT NULL,
>        OPTIONS7          VARCHAR2(240)  NOT NULL,
>        OPTIONS8          VARCHAR2(240)  NOT NULL,
>       CONSTRAINT PSTARCVDAT_PK2
>        PRIMARY KEY
>       (ARCHIVEID,
>        SEQNO))~TSARCFDAT>
>Table ~DIRECTORYID..PSTARCVFILE2
>CREATE TABLE ~DIRECTORYID..PSTARCVFILE2(
>        ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        ARCVFILENAME      VARCHAR2(250)  NOT NULL,
>        INDXFILENAME      VARCHAR2(250)  NOT NULL,
>        BRSXFILENAME      VARCHAR2(250)  NOT NULL,
>        ARCVMEDIAFMT      CHAR(1)        NOT NULL,
>        INDXMEDIAFMT      CHAR(1)        NOT NULL,
>        BRSXMEDIAFMT      CHAR(1)        NOT NULL,
>        DATETIMEOFARCHIVE CHAR(19)       NOT NULL,
>        GROUPNAME         VARCHAR2(24)   NOT NULL,
>        USERID            VARCHAR2(255)  NOT NULL,
>        SERVNAME          VARCHAR2(255)  NOT NULL,
>        DESCR             VARCHAR2(255)  NOT NULL,
>        STATUS            CHAR(1)        NOT NULL,
>        GUID              CHAR(38)       NOT NULL,
>        CHECKSUM          NUMBER(12,0)   NOT NULL,
>	     ARPDELDATE        CHAR(10),
>       CONSTRAINT PSTARCVFILE_PK2
>        PRIMARY KEY
>       (ARCHIVEID))~TSARCFILE>
>Table ~DIRECTORYID..PSTARCVSEG2
>CREATE TABLE ~DIRECTORYID..PSTARCVSEG2
>       (ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        SEGMENTTYPE       CHAR(1)        NOT NULL,
>        SEGMENTID         NUMBER(12,0)   NOT NULL,
>        ARCVMEDIAFMT      CHAR(1)        NOT NULL,
>        SEGFILENAME       VARCHAR2(250)  NOT NULL,
>        SRVSHARENAME      VARCHAR2(250)  NOT NULL,
>        CHECKSUM          NUMBER(12,0)   NOT NULL,
>        OPTIONS1          VARCHAR2(255)  NOT NULL,
>        OPTIONS2          VARCHAR2(255)  NOT NULL,
>        OPTIONS3          VARCHAR2(255)  NOT NULL,
>       CONSTRAINT PSTARCVSEG_PK2
>        PRIMARY KEY
>       (ARCHIVEID,
>        SEGMENTTYPE,
>        SEGMENTID))~TSARCSEG>
>Table ~DIRECTORYID..PSTARCVTBL2
>CREATE TABLE ~DIRECTORYID..PSTARCVTBL2
>       (ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        TABLEDBALIAS      VARCHAR2(36)   NOT NULL,
>        TABLECREATORID    VARCHAR2(192)  NOT NULL,
>        TABLENAME         VARCHAR2(192)  NOT NULL,
>        TABLEID           NUMBER(12,0)   NOT NULL,
>        STARTTABLEFLAG    CHAR(1)        NOT NULL,
>        CHECKSUM          NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(6,0)    NOT NULL,
>        TABLEDATA1        VARCHAR2(250)  NOT NULL,
>        TABLEDATA2        VARCHAR2(250)  NOT NULL,
>        TABLEDATA3        VARCHAR2(250)  NOT NULL,
>        TABLEDATA4        VARCHAR2(250)  NOT NULL,
>        TABLEDATA5        VARCHAR2(250)  NOT NULL,
>        TABLEDATA6        VARCHAR2(250)  NOT NULL,
>       CONSTRAINT PSTARCVTBL_PK2
>        PRIMARY KEY
>       (ARCHIVEID,
>        TABLEID,
>        SEQNO))~TSARCTABLE>
>Table ~DIRECTORYID..PSTAUDIT2
>CREATE TABLE ~DIRECTORYID..PSTAUDIT2
>       (DBALIAS           VARCHAR2(36)   NOT NULL,
>        CREATORID         VARCHAR2(192)  NOT NULL,
>        TABLENAME         VARCHAR2(192)  NOT NULL,
>        USERID            VARCHAR2(255)  NOT NULL,
>        AUDIT_TYPE        CHAR(1)        NOT NULL,
>        ACTION_DT         DATE
>                          DEFAULT 
>                          SYSDATE        NOT NULL,
>        SEQNO             NUMBER(20)     NOT NULL, 
>        SUBSEQNO          NUMBER(6)      NOT NULL, 
>        CHECKSUM          NUMBER(12)     NOT NULL,
>        DATA1             VARCHAR2(255)  NOT NULL, 
>        DATA2             VARCHAR2(255)  NOT NULL, 
>        DATA3             VARCHAR2(255)  NOT NULL, 
>        DATA4             VARCHAR2(255)  NOT NULL, 
>       CONSTRAINT PSTAUDIT_PK2
>        PRIMARY KEY
>       (DBALIAS,
>        CREATORID,
>        TABLENAME,
>        SEQNO,
>        SUBSEQNO,
>        AUDIT_TYPE))~TSAUDIT>
>Table ~DIRECTORYID..PSTCOLLECTION2
>CREATE TABLE ~DIRECTORYID..PSTCOLLECTION2
>       (COLLECTION_ID     VARCHAR2(45)   NOT NULL,
>        COLLECTION_NAME   VARCHAR2(90)   NOT NULL,
>        ROW_TYPE          CHAR(1)        NOT NULL,
>        ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        SEQNO             NUMBER(12,0)   NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        DEFINITION1       VARCHAR2(255)  NOT NULL,
>        DEFINITION2       VARCHAR2(255)  NOT NULL,
>        DEFINITION3       VARCHAR2(255)  NOT NULL,
>        DEFINITION4       VARCHAR2(255)  NOT NULL,
>        DEFINITION5       VARCHAR2(255)  NOT NULL,
>       CONSTRAINT PSTCOLLECTION_PK2
>        PRIMARY KEY
>       (COLLECTION_ID,
>        COLLECTION_NAME,
>        ROW_TYPE,
>        ARCHIVEID,
>        SEQNO))~TSCOLLECT>
>Table ~DIRECTORYID..PSTDBA2
>CREATE TABLE ~DIRECTORYID..PSTDBA2
>       (DBALIAS_NAME      VARCHAR2(36)   NOT NULL,
>        DBMS_TYPE         CHAR(1)        NOT NULL,
>        DESCRIPTION       VARCHAR2(255)  NOT NULL,
>        CONNECT_STR       VARCHAR2(255)  NOT NULL,
>        QUALIFIER         VARCHAR2(192)  NOT NULL,
>        DIRDB             CHAR(1)        NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        OPTIONS1          VARCHAR2(228)  NOT NULL,
>        OPTIONS2          VARCHAR2(228)  NOT NULL,
>        OPTIONS3          VARCHAR2(228)  NOT NULL,
>        OPTIONS4          VARCHAR2(228)  NOT NULL,
>        CONTENT_ID        CHAR(36), 
>       CONSTRAINT PSTDBA_PK2
>        PRIMARY KEY
>       (DBALIAS_NAME)) ~TSDBALIAS>
>Table ~DIRECTORYID..PSTOBJ2
>CREATE TABLE ~DIRECTORYID..PSTOBJ2
>       (OBJ_ID            VARCHAR2(45)   NOT NULL,
>        OBJ_NAME          VARCHAR2(90)   NOT NULL,
>        OBJ_TYPE          CHAR(1)        NOT NULL,
>        DESCRIPTION       VARCHAR2(120)  NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(5,0)    NOT NULL,
>        OPTIONS           VARCHAR2(201)  NOT NULL,
>        DEFINITION1       VARCHAR2(255)  NOT NULL,
>        DEFINITION2       VARCHAR2(255)  NOT NULL,
>        DEFINITION3       VARCHAR2(255)  NOT NULL,
>        DEFINITION4       VARCHAR2(255)  NOT NULL,
>        CONTENT_ID        CHAR(36), 
>       CONSTRAINT PSTOBJ_PK2
>        PRIMARY KEY
>       (OBJ_ID,
>        OBJ_NAME,
>        OBJ_TYPE,
>        SEQNO))~TSOBJ>
>Table ~DIRECTORYID..PSTPK2
>CREATE TABLE ~DIRECTORYID..PSTPK2
>       (DBALIAS_NAME      VARCHAR2(36)   NOT NULL,
>        CREATOR_ID        VARCHAR2(192)  NOT NULL,
>        TABLE_NAME        VARCHAR2(192)  NOT NULL,
>        DESCRIPTION       VARCHAR2(120)  NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(5,0)    NOT NULL,
>        NUM_COL           NUMBER(5,0)    NOT NULL,
>        DEFINITION1       VARCHAR2(255)  NOT NULL,
>        DEFINITION2       VARCHAR2(255)  NOT NULL,
>        DEFINITION3       VARCHAR2(255)  NOT NULL,
>        DEFINITION4       VARCHAR2(255)  NOT NULL,
>       CONSTRAINT PSTPK_PK2
>        PRIMARY KEY
>       (DBALIAS_NAME,
>        CREATOR_ID,
>        TABLE_NAME,
>        SEQNO))~TSPK>
>Table ~DIRECTORYID..PSTPT2
>CREATE TABLE ~DIRECTORYID..PSTPT2
>       (CTRLDSN           VARCHAR2(250)  NOT NULL,
>        DATADSN           VARCHAR2(250)  NOT NULL,
>        STATE             NUMBER(5,0)    NOT NULL,
>        LASTTYPE          NUMBER(5,0)    NOT NULL,
>        LASTACTION        NUMBER(5,0)    NOT NULL,
>        USERID            VARCHAR2(255)  NOT NULL,
>        TIME              NUMBER(10,0)   NOT NULL,
>        TABLENUM          NUMBER(5,0)    NOT NULL,
>        LUW               NUMBER(5,0)    NOT NULL,
>        SERVICE_INSTANCE_ID  CHAR(36),
>       CONSTRAINT PSTPT_PK2
>        PRIMARY KEY
>       (CTRLDSN))~TSPT>
>Table ~DIRECTORYID..PSTREL2
>CREATE TABLE ~DIRECTORYID..PSTREL2
>       (DEP_DBALIAS_NAME  VARCHAR2(36)   NOT NULL,
>        DEP_CREATOR_ID    VARCHAR2(192)  NOT NULL,
>        DEP_TABLE_NAME    VARCHAR2(192)  NOT NULL,
>        REL_NAME          VARCHAR2(192)  NOT NULL,
>        REL_TYPE          CHAR(1)        NOT NULL,
>        PAR_DBALIAS_NAME  VARCHAR2(36)   NOT NULL,
>        PAR_CREATOR_ID    VARCHAR2(192)  NOT NULL,
>        PAR_TABLE_NAME    VARCHAR2(192)  NOT NULL,
>        DESCRIPTION       VARCHAR2(120)  NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(6,0)    NOT NULL,
>        STRUCT_ID         CHAR(4)        NOT NULL,
>        OPTIONS1          VARCHAR2(240)  NOT NULL, 
>        DEFINITION1       VARCHAR2(255)  NOT NULL, 
>       CONSTRAINT PSTREL_PK2
>        PRIMARY KEY
>       (DEP_DBALIAS_NAME,
>        DEP_CREATOR_ID,
>        DEP_TABLE_NAME,
>        REL_TYPE,
>        REL_NAME,
>        SEQNO))~TSREL>
>Index ~DIRECTORYID..PSTREL_CID2
>CREATE INDEX ~DIRECTORYID..PSTREL_CID2
>        ON ~DIRECTORYID..PSTREL2
>       (PAR_DBALIAS_NAME,
>        PAR_CREATOR_ID,
>        PAR_TABLE_NAME,
>        REL_TYPE,
>        REL_NAME,
>        SEQNO)~TSREL>
>Table ~DIRECTORYID..PSTSEC2
>CREATE TABLE ~DIRECTORYID..PSTSEC2
>       (SEC_NAME1         VARCHAR2(36)   NOT NULL,
>        SEC_NAME2         VARCHAR2(255)  NOT NULL,
>        SEC_NAME3         VARCHAR2(255)  NOT NULL,
>        SEC_NAME4         VARCHAR2(255)  NOT NULL,
>        SEC_TYPE          CHAR(1)        NOT NULL,
>        DESCRIPTION       VARCHAR2(120)  NOT NULL,
>        OWNDOMAIN         VARCHAR2(162)  NOT NULL,
>        OWNNAME           VARCHAR2(90)   NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        OPTIONS1          VARCHAR2(255)  NOT NULL,
>       CONSTRAINT PSTSEC_PK2
>        PRIMARY KEY
>       (SEC_NAME1,
>        SEC_NAME2,
>        SEC_TYPE))~TSSEC>
>Table ~DIRECTORYID..PSTSECDAT2
>CREATE TABLE ~DIRECTORYID..PSTSECDAT2
>       (SEC_NAME1         VARCHAR2(36)   NOT NULL,
>        SEC_NAME2         VARCHAR2(255)  NOT NULL,
>        SEC_TYPE          CHAR(1)        NOT NULL,
>        SEQNO             NUMBER(6,0)    NOT NULL,
>        DEFINITION1       VARCHAR2(234)  NOT NULL,
>        DEFINITION2       VARCHAR2(234)  NOT NULL,
>        DEFINITION3       VARCHAR2(234)  NOT NULL,
>        DEFINITION4       VARCHAR2(234)  NOT NULL,
>        DEFINITION5       VARCHAR2(234)  NOT NULL,
>        DEFINITION6       VARCHAR2(234)  NOT NULL,
>        DEFINITION7       VARCHAR2(234)  NOT NULL,
>       CONSTRAINT PSTSECDAT_PK2
>        PRIMARY KEY
>       (SEC_NAME1,
>        SEC_NAME2,
>        SEC_TYPE,
>        SEQNO))~TSSECDAT>
>Table ~DIRECTORYID..OPTIM_DIRECTORY_PROPERTIES
>CREATE TABLE ~DIRECTORYID..OPTIM_DIRECTORY_PROPERTIES (
>    NAME            VARCHAR2(128) NOT NULL,
>    VALUE           VARCHAR2(128) NOT NULL,
>	CONSTRAINT DIRECTORY_PROP_PK PRIMARY KEY (NAME)
>)~TSCONFCONT>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..OPTIM_DIRECTORY_PROPERTIES VALUES('TYPE','EOD');
>END;>
>Table ~DIRECTORYID..OPTIM_CONTENT_TYPES
>CREATE TABLE ~DIRECTORYID..OPTIM_CONTENT_TYPES (
>    CONTENT_TYPE		VARCHAR2(36) NOT NULL,
>    DESCRIPTION     	VARCHAR2(255),
>    CONSTRAINT CONTENT_TYPES_PK PRIMARY KEY (CONTENT_TYPE)
>) ~TSCONTYPES>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_content_types values('STRING','STRING');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_content_types values('BYTE_ARRAY','BYTE_ARRAY');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_content_types values('SQLOBJECT','SQLOBJECT');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_content_types values('POLICY_BINDING','POLICY_BINDING');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_content_types values('JSON','JSON');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_content_types values('XML','XML');
>END;>
>Table ~DIRECTORYID..OPTIM_CONFIG_CONTENT
>CREATE TABLE ~DIRECTORYID..OPTIM_CONFIG_CONTENT (
>    ID              VARCHAR2(38) NOT NULL,
>    CONTENT_TYPE	VARCHAR2(36) NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    DATA            BLOB,
>    XMLDATA         XMLTYPE,
>    CONSTRAINT CONFIG_CONTENTS_PK PRIMARY KEY (ID),
>    CONSTRAINT CONFIG_CONTENTS_FK1 FOREIGN KEY (CONTENT_TYPE) REFERENCES ~DIRECTORYID..OPTIM_CONTENT_TYPES (CONTENT_TYPE)
>)~TSCONFCONT>
>Table ~DIRECTORYID..OPTIM_DEFINITION_CONTENT
>CREATE TABLE ~DIRECTORYID..OPTIM_DEFINITION_CONTENT (
>    ID              VARCHAR2(38) NOT NULL,
>    CONTENT_TYPE	VARCHAR2(36) NOT NULL,
>    CREATE_TIME    TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    DATA            BLOB,
>    XMLDATA         XMLTYPE,
>    CONSTRAINT DEFINITION_CONTENTS_PK PRIMARY KEY (ID),
>    CONSTRAINT DEFINITION_CONTENTS_FK1 FOREIGN KEY (CONTENT_TYPE) REFERENCES ~DIRECTORYID..OPTIM_CONTENT_TYPES (CONTENT_TYPE)
>)~TSDEFCONT>
>Table ~DIRECTORYID..OPTIM_TRANSACTION_CONTENT
>CREATE TABLE ~DIRECTORYID..OPTIM_TRANSACTION_CONTENT (
>    ID              VARCHAR2(38) NOT NULL,
>    CONTENT_TYPE	VARCHAR2(36) NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP ,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    DATA            BLOB,
>    XMLDATA         XMLTYPE,
>    CONSTRAINT TRANSACTION_CONTENTS_PK PRIMARY KEY (ID),
>    CONSTRAINT TRANSACTION_CONTENTS_FK1 FOREIGN KEY (CONTENT_TYPE) REFERENCES ~DIRECTORYID..OPTIM_CONTENT_TYPES (CONTENT_TYPE)
>)~TSTRANSCONT>
>Table ~DIRECTORYID..OPTIM_FILE_CATALOG
>CREATE TABLE ~DIRECTORYID..OPTIM_FILE_CATALOG (
>    FILE_GUID           VARCHAR2(38) NOT NULL,
>    FILE_TYPE			CHAR(1) NOT NULL,
>    FILE_TIME			TIMESTAMP NOT NULL,
>    FILE_NAME			NVARCHAR2(255) NOT NULL,
>    FILE_PATH			NVARCHAR2(255) NOT NULL,
>    FILE_METADATATIME	TIMESTAMP NOT NULL,
>    VERSION         	NUMBER NOT NULL,
>    CREATE_TIME         TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER     	VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     	TIMESTAMP,
>    UPDATE_USER     	VARCHAR2(255),
>    SERVER				NVARCHAR2(255) NOT NULL,
>    SERVICE_ID			CHAR(36),
>    SERVICE_INSTANCE_ID		CHAR(36),
>    CONSTRAINT FILE_CATALOG_PK PRIMARY KEY (FILE_GUID)
> )~TSFILECTG>
>Table ~DIRECTORYID..OPTIM_AUDIT_RECORDS
>CREATE TABLE ~DIRECTORYID..OPTIM_AUDIT_RECORDS (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    OBJECT_REF		NVARCHAR2(422) NOT NULL,
>    OBJECT_TYPE		VARCHAR2(36) NOT NULL,
>    SERVICE_INSTANCE_ID		CHAR(36),
>    CHECKSUM        NUMBER NOT NULL,
>    AUDIT_SOURCE	VARCHAR2(36) NOT NULL,
>    AUDIT_TYPE		VARCHAR2(36) NOT NULL,
>    CONSTRAINT AUDIT_RECORDS_PK PRIMARY KEY (ID)
> )~TSAUDREC>
>Table ~DIRECTORYID..OPTIM_FOLDERS
>CREATE TABLE ~DIRECTORYID..OPTIM_FOLDERS (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    FOLDER_TYPE     NUMBER NOT NULL,
>    PARENT_ID       CHAR(36) NOT NULL,
>    CONSTRAINT FOLDERS_PK PRIMARY KEY (ID),
>    CONSTRAINT FOLDERS_NAME UNIQUE (NAME, PARENT_ID),
>    CONSTRAINT FOLDERS_FK FOREIGN KEY (PARENT_ID) REFERENCES ~DIRECTORYID..OPTIM_FOLDERS (ID)
>)~TSOPTFOLD>
>Table ~DIRECTORYID..OPTIM_GLOBAL_POLICIES
>CREATE TABLE ~DIRECTORYID..OPTIM_GLOBAL_POLICIES (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    POLICY_ID       NVARCHAR2(128) NOT NULL,
>    POLICY_TYPE     VARCHAR2(128) NOT NULL,
>    POLICY_KIND     VARCHAR2(128) NOT NULL,
>    IS_LOCAL        CHAR(1) DEFAULT 'f', 
>    FOLDER_ID       	CHAR(36),
>    CONSTRAINT GLOBAL_POLICIES_PK PRIMARY KEY (ID),
>    CONSTRAINT GLOBAL_POLICIES_FK1 FOREIGN KEY (FOLDER_ID) REFERENCES ~DIRECTORYID..OPTIM_FOLDERS (ID)
>)~TSGBLPOLY>
>Index ~DIRECTORYID..IDX_GLBL_PLCIS_POLICY_ID_NAME ON OPTIM_GLOBAL_POLICIES(POLICY_ID, NAME) 
>CREATE INDEX ~DIRECTORYID..IDX_GLBL_PLCIS_POLICY_ID_NAME ON ~DIRECTORYID..OPTIM_GLOBAL_POLICIES(POLICY_ID, NAME)>
>Table ~DIRECTORYID..OPTIM_DATA_STORES
>CREATE TABLE ~DIRECTORYID..OPTIM_DATA_STORES (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    TYPE			VARCHAR2(32) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    VENDOR			VARCHAR2(32) NOT NULL,
>    VENDOR_VERSION	VARCHAR2(32) NOT NULL,
>    STATUS			VARCHAR2(32) NOT NULL,
>    CONSTRAINT DATA_STORES_PK PRIMARY KEY (ID)    
>)~TSDATSTORE>
>Table ~DIRECTORYID..OPTIM_ENTITIES
>CREATE TABLE ~DIRECTORYID..OPTIM_ENTITIES (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    SCHEMA_NAME     NVARCHAR2(128) NOT NULL,
>    DATA_STORE_NAME NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE    VARCHAR2(36) NOT NULL,
>    ENTITY_TYPE     VARCHAR2(32),
>    CONSTRAINT ENTITIES_PK PRIMARY KEY (ID) 
>)~TSOPTENT>
>Index ~DIRECTORYID..IDX_ENTITIES_DATA_STORE_SCHEMA ON OPTIM_ENTITIES(DATA_STORE_NAME, SCHEMA_NAME) 
>CREATE INDEX ~DIRECTORYID..IDX_ENTITIES_DATA_STORE_SCHEMA ON ~DIRECTORYID..OPTIM_ENTITIES(DATA_STORE_NAME, SCHEMA_NAME)>
>Table ~DIRECTORYID..OPTIM_ENTITY_POLICIES
>CREATE TABLE ~DIRECTORYID..OPTIM_ENTITY_POLICIES (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    ENTITY_ID       CHAR(36) NOT NULL,
>    POLICY_ID       NVARCHAR2(128) NOT NULL,
>    POLICY_TYPE     VARCHAR2(128) NOT NULL,
>    POLICY_KIND     VARCHAR2(128) NOT NULL,
>    IS_LOCAL        CHAR(1) DEFAULT 'f',
>    ENTITY_PATH     NVARCHAR2(422),
>    CONSTRAINT ENTITY_POLICIES_PK PRIMARY KEY (ID),
>    CONSTRAINT ENTITY_POLICIES_FK1 FOREIGN KEY (ENTITY_ID) REFERENCES ~DIRECTORYID..OPTIM_ENTITIES (ID) ON DELETE CASCADE
>)~TSENTPOLY>
>Index ~DIRECTORYID..IDX_ENTITY_POLICIES_ENTITY_ID ON OPTIM_ENTITY_POLICIES(ENTITY_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_ENTITY_POLICIES_ENTITY_ID ON ~DIRECTORYID..OPTIM_ENTITY_POLICIES(ENTITY_ID)>
>Table ~DIRECTORYID..OPTIM_POLICY_METADATA
>CREATE TABLE ~DIRECTORYID..OPTIM_POLICY_METADATA (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    POLICY_ID       NVARCHAR2(128) NOT NULL,
>    POLICY_TYPE     VARCHAR2(128) NOT NULL,
>    POLICY_KIND     VARCHAR2(128) NOT NULL,
>    CONSTRAINT POLICY_METADATA_PK PRIMARY KEY (ID)
>)~TSPOLYMDATA>
>Index ~DIRECTORYID..IDX_POLICY_METADATA_POLICY_ID ON OPTIM_POLICY_METADATA(POLICY_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_POLICY_METADATA_POLICY_ID ON ~DIRECTORYID..OPTIM_POLICY_METADATA(POLICY_ID)>
>Table ~DIRECTORYID..OPTIM_RELATIONSHIPS
>CREATE TABLE ~DIRECTORYID..OPTIM_RELATIONSHIPS (
>    ID                  CHAR(36) NOT NULL,
>    VERSION             NUMBER NOT NULL,
>    PARENT_ID       	NVARCHAR2(422) NOT NULL,
>    CHILD_ID       		NVARCHAR2(422) NOT NULL,
>    CREATE_TIME         TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER     	VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     	TIMESTAMP,
>    UPDATE_USER     	VARCHAR2(255),
>    NAME            	NVARCHAR2(128) NOT NULL,
>    DESCRIPTION         NVARCHAR2(255),
>    OBJECT_STATE	    VARCHAR2(36) NOT NULL,
>    RELATIONSHIP_TYPE   NUMBER NOT NULL,
>	PST_CHECK_SUM     	NUMBER(12,0)  DEFAULT 0 NOT NULL,
>    CONSTRAINT RELATIONSHIPS_PK PRIMARY KEY (ID) 
>)~TSRSHIPS>
>Index ~DIRECTORYID..IDX_RELATIONSHIPS_PARENT_ID ON OPTIM_RELATIONSHIPS(PARENT_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_RELATIONSHIPS_PARENT_ID ON ~DIRECTORYID..OPTIM_RELATIONSHIPS(PARENT_ID)>
>Index ~DIRECTORYID..IDX_RELATIONSHIPS_CHILD_ID ON OPTIM_RELATIONSHIPS(CHILD_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_RELATIONSHIPS_CHILD_ID ON ~DIRECTORYID..OPTIM_RELATIONSHIPS(CHILD_ID)>
>Table ~DIRECTORYID..OPTIM_POINT_AND_SHOOT_LISTS
>CREATE TABLE ~DIRECTORYID..OPTIM_POINT_AND_SHOOT_LISTS (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    ENTITY_ID       CHAR(36) NOT NULL,
>    IS_LOCAL        CHAR (1),
>    CONSTRAINT POINT_AND_SHOOT_LISTS_PK PRIMARY KEY (ID),
>    CONSTRAINT POINT_AND_SHOOT_LIST_FK1 FOREIGN KEY (ENTITY_ID) REFERENCES ~DIRECTORYID..OPTIM_ENTITIES (ID) ON DELETE CASCADE
>)~TSPNSLISTS>
>Index ~DIRECTORYID..IDX_PNS_ENTITY_ID ON OPTIM_POINT_AND_SHOOT_LISTS(ENTITY_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_PNS_ENTITY_ID ON ~DIRECTORYID..OPTIM_POINT_AND_SHOOT_LISTS(ENTITY_ID)>
>Table ~DIRECTORYID..OPTIM_AD
>CREATE TABLE ~DIRECTORYID..OPTIM_AD (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    FOLDER_ID       CHAR(36) NOT NULL,
>    POINT_AND_SHOOT_LIST_ID    CHAR(36),
>    IS_LOCAL		CHAR(1) DEFAULT 'f',
>    IS_FILE			CHAR(1) DEFAULT 'f',
>	PST_CHECK_SUM     	NUMBER(12,0)  DEFAULT 0 NOT NULL,
>    CONSTRAINT AD_PK PRIMARY KEY (ID),
>    CONSTRAINT AD_FK1 FOREIGN KEY (FOLDER_ID) REFERENCES ~DIRECTORYID..OPTIM_FOLDERS (ID) ON DELETE CASCADE,
>    CONSTRAINT AD_FK2 FOREIGN KEY (POINT_AND_SHOOT_LIST_ID) REFERENCES ~DIRECTORYID..OPTIM_POINT_AND_SHOOT_LISTS (ID)
>)~TSAD>
>Index ~DIRECTORYID..IDX_AD_NAME ON OPTIM_AD(NAME) 
>CREATE INDEX ~DIRECTORYID..IDX_AD_NAME ON ~DIRECTORYID..OPTIM_AD(NAME)>
>Table ~DIRECTORYID..OPTIM_AD_POLICIES
>CREATE TABLE ~DIRECTORYID..OPTIM_AD_POLICIES (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    AD_ID          CHAR(36) NOT NULL,
>    POLICY_EXT_ID   NVARCHAR2(128) NOT NULL,
>    POLICY_TYPE     VARCHAR2(128) NOT NULL,
>    CONSTRAINT AD_POLICIES_PK PRIMARY KEY (ID),
>    CONSTRAINT AD_POLICIES_FK1 FOREIGN KEY (AD_ID) REFERENCES ~DIRECTORYID..OPTIM_AD (ID) ON DELETE CASCADE
>)~TSADPOLY>
>Index ~DIRECTORYID..IDX_AD_POLICIES_AD_ID ON OPTIM_AD_POLICIES(AD_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_AD_POLICIES_AD_ID ON ~DIRECTORYID..OPTIM_AD_POLICIES(AD_ID)>
>Table ~DIRECTORYID..OPTIM_AD_POLICY_ENTITIES
>CREATE TABLE ~DIRECTORYID..OPTIM_AD_POLICY_ENTITIES (
>    ID              CHAR(36) NOT NULL,
>    AD_ID          CHAR(36) NOT NULL,
>    POLICY_ID       CHAR(36) NOT NULL,
>    ENTITY_ID       NVARCHAR2(422) NOT NULL,
>    POLICY_EXT_ID   NVARCHAR2(128) NOT NULL,
>    POLICY_TYPE     VARCHAR2(128) NOT NULL,
>    CONTENT_ID          CHAR(36),
>    CONSTRAINT AD_POLICY_ENTITIES_PK PRIMARY KEY (ID),
>    CONSTRAINT AD_POLICY_ENTITIES_FK2 FOREIGN KEY (POLICY_ID) REFERENCES ~DIRECTORYID..OPTIM_AD_POLICIES (ID) ON DELETE CASCADE
>)~TSADPOLYENT>
>Index ~DIRECTORYID..IDX_POLICY_ENTITIES_POLICY_ID ON OPTIM_AD_POLICY_ENTITIES(POLICY_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_POLICY_ENTITIES_POLICY_ID ON ~DIRECTORYID..OPTIM_AD_POLICY_ENTITIES(POLICY_ID)>
>Index ~DIRECTORYID..IDX_AD_ID_POLICY_ENTITIES ON OPTIM_AD_POLICY_ENTITIES(AD_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_AD_ID_POLICY_ENTITIES ON ~DIRECTORYID..OPTIM_AD_POLICY_ENTITIES(AD_ID)>
>Table ~DIRECTORYID..OPTIM_COLUMN_MAPS
>CREATE TABLE ~DIRECTORYID..OPTIM_COLUMN_MAPS (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    LEFT_ENTITY_ID      NVARCHAR2(422), 
>    RIGHT_ENTITY_ID     NVARCHAR2(422), 
>    FOLDER_ID       	CHAR(36) NOT NULL,
>    FILE_GUID          CHAR(38),
>    FILE_TIME          TIMESTAMP,
>    IS_LOCAL	    CHAR(1) DEFAULT 'f',
>	PST_CHECK_SUM     	NUMBER(12,0)  DEFAULT 0 NOT NULL,
>    CONSTRAINT COLUMN_MAPS_PK PRIMARY KEY (ID),
>    CONSTRAINT COLUMN_MAPS_FK1 FOREIGN KEY (FOLDER_ID) REFERENCES ~DIRECTORYID..OPTIM_FOLDERS (ID) ON DELETE CASCADE
>)~TSCOLMAPS>
>Index ~DIRECTORYID..IDX_COLUMN_MAPS_NAME ON OPTIM_COLUMN_MAPS(NAME) 
>CREATE INDEX ~DIRECTORYID..IDX_COLUMN_MAPS_NAME ON ~DIRECTORYID..OPTIM_COLUMN_MAPS(NAME)>
>Table ~DIRECTORYID..OPTIM_COLUMN_MAP_ASSIGNMENTS
>CREATE TABLE ~DIRECTORYID..OPTIM_COLUMN_MAP_ASSIGNMENTS (
>	COLUMN_MAP_ID				CHAR(36) NOT NULL,
>	LEFT_ATTRIBUTE  			NVARCHAR2(256),
>	LEFT_ATTRIBUTE_DATATYPE  	NVARCHAR2(256),
>	RIGHT_ATTRIBUTE 			NVARCHAR2(256) NOT NULL,
>	RIGHT_ATTRIBUTE_DATATYPE 	NVARCHAR2(256) NOT NULL,
>	COLUMN_MAP_POLICY_ID 	CHAR(36),
>	CONTENT_ID          	CHAR(36),
>	CLASSIFICATION_ID	VARCHAR2(255),
>	CONSTRAINT COLUMN_MAP_ASSIGNMENTS_PK PRIMARY KEY (COLUMN_MAP_ID, RIGHT_ATTRIBUTE),
>    CONSTRAINT COLUMN_MAP_ASSIGNMENTS_FK1 FOREIGN KEY (COLUMN_MAP_ID) REFERENCES ~DIRECTORYID..OPTIM_COLUMN_MAPS (ID)
>)~TSCOLMAPASMTS>
>Table ~DIRECTORYID..OPTIM_TABLE_MAPS
>CREATE TABLE ~DIRECTORYID..OPTIM_TABLE_MAPS (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    FOLDER_ID       CHAR(36) NOT NULL,
>    AD_ID           CHAR(36),
>    FILE_GUID       CHAR(38),
>    FILE_TIME       TIMESTAMP,
>    IS_LOCAL		CHAR(1) DEFAULT 'f',
>	PST_CHECK_SUM     	NUMBER(12,0)  DEFAULT 0 NOT NULL,
>    CONSTRAINT TABLE_MAPS_PK PRIMARY KEY (ID),
>    CONSTRAINT TABLE_MAPS_FK1 FOREIGN KEY (FOLDER_ID) REFERENCES ~DIRECTORYID..OPTIM_FOLDERS (ID) ON DELETE CASCADE
>)~TSTABMAPS>
>Index ~DIRECTORYID..IDX_TABLE_MAPS_NAME ON OPTIM_TABLE_MAPS(NAME) 
>CREATE INDEX ~DIRECTORYID..IDX_TABLE_MAPS_NAME ON ~DIRECTORYID..OPTIM_TABLE_MAPS(NAME)>
>Table ~DIRECTORYID..OPTIM_TABLE_MAP_ASSIGNMENTS
>CREATE TABLE ~DIRECTORYID..OPTIM_TABLE_MAP_ASSIGNMENTS (
>    ID                     CHAR(36) NOT NULL,
>    TABLE_MAP_ID           CHAR(36) NOT NULL,
>    LEFT_ENTITY_ID         NVARCHAR2(422) NOT NULL, 
>    RIGHT_ENTITY_ID		   NVARCHAR2(422),
>    COLUMN_MAP_ID 	       CHAR(36),
>    CONTENT_ID             CHAR(36),
>    CONSTRAINT TABLE_MAP_ASSIGNMENTS_PK PRIMARY KEY (ID),
>    CONSTRAINT UQ_TABLE_MAP_ASSIGNMENTS UNIQUE (TABLE_MAP_ID, LEFT_ENTITY_ID) ,
>    CONSTRAINT TABLE_MAP_ASSIGNMENTS_FK1 FOREIGN KEY (TABLE_MAP_ID) REFERENCES ~DIRECTORYID..OPTIM_TABLE_MAPS (ID),
>    CONSTRAINT TABLE_MAP_ASSIGNMENTS_FK2 FOREIGN KEY (COLUMN_MAP_ID) REFERENCES ~DIRECTORYID..OPTIM_COLUMN_MAPS (ID) ON DELETE CASCADE
>)~TSTABMAPASMTS>
>Table ~DIRECTORYID..OPTIM_TABLE_MAP_POLICIES
>CREATE TABLE ~DIRECTORYID..OPTIM_TABLE_MAP_POLICIES (
>    ID                      CHAR(36) NOT NULL,
>    VERSION         		NUMBER NOT NULL,
>    CREATE_TIME     		TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER     		VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     		TIMESTAMP,
>    UPDATE_USER     		VARCHAR2(255),
>    NAME            		NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     		NVARCHAR2(255),
>    OBJECT_STATE			VARCHAR2(36) NOT NULL,
>    TABLE_MAP_ID            CHAR(36),
>    TABLE_MAP_ASSIGNMENT_ID CHAR(36),
>    POLICY_EXT_ID   		NVARCHAR2(128) NOT NULL,
>    POLICY_TYPE     		VARCHAR2(128) NOT NULL,
>    CONSTRAINT TABLE_MAP_POLICY_PK PRIMARY KEY (ID),
>    CONSTRAINT TABLE_MAP_POLICY_FK2 FOREIGN KEY (TABLE_MAP_ASSIGNMENT_ID) REFERENCES ~DIRECTORYID..OPTIM_TABLE_MAP_ASSIGNMENTS (ID) ON DELETE CASCADE
>)~TSTABMAPPOLY>
>Table ~DIRECTORYID..OPTIM_SERVICES
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICES (
>    ID              	CHAR(36) NOT NULL,
>    VERSION             NUMBER NOT NULL,
>    CREATE_TIME         TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER     	VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     	TIMESTAMP,
>    UPDATE_USER     	VARCHAR2(255),
>    NAME            	NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     	NVARCHAR2(255),
>    OBJECT_STATE	    VARCHAR2(36) NOT NULL,
>    FOLDER_ID       	CHAR(36) NOT NULL,
>    FOLDER_PATH			CLOB,    
>    AD_ID            	CHAR(36),
>    TABLE_MAP_ID    	CHAR(36),
>    POINT_AND_SHOOT_LIST_ID    CHAR(36),
>    SERVICE_TYPE    	NVARCHAR2(128) NOT NULL,
>    SERVICE_STATE		VARCHAR2(36) NOT NULL,
>    USER_ANNOTATIONS		VARCHAR2(36), 
>    INTERNAL_ANNOTATIONS	VARCHAR2(36), 
>    PRODUCT_PLATFORM 	NVARCHAR2(128) NOT NULL,
>    FILE_GUID       CHAR(38),
>    FILE_TIME       TIMESTAMP,
>    IS_LOCAL		CHAR(1) DEFAULT 'f',
>	PST_CHECK_SUM     	NUMBER(12,0)  DEFAULT 0 NOT NULL,
>    CONSTRAINT SERVICES_PK PRIMARY KEY (ID),
>    CONSTRAINT SERVICES_FK1 FOREIGN KEY (AD_ID) REFERENCES ~DIRECTORYID..OPTIM_AD (ID),
>    CONSTRAINT SERVICES_FK2 FOREIGN KEY (FOLDER_ID) REFERENCES ~DIRECTORYID..OPTIM_FOLDERS (ID) ON DELETE CASCADE,
>    CONSTRAINT SERVICES_FK3 FOREIGN KEY (TABLE_MAP_ID) REFERENCES ~DIRECTORYID..OPTIM_TABLE_MAPS (ID),
>    CONSTRAINT SERVICES_FK4 FOREIGN KEY (POINT_AND_SHOOT_LIST_ID) REFERENCES ~DIRECTORYID..OPTIM_POINT_AND_SHOOT_LISTS (ID)
>)~TSSERVICES>
>Index ~DIRECTORYID..IDX_SERVICE_NAME ON OPTIM_SERVICES(NAME) 
>CREATE INDEX ~DIRECTORYID..IDX_SERVICE_NAME ON ~DIRECTORYID..OPTIM_SERVICES(NAME)>
>Table ~DIRECTORYID..OPTIM_SERVICE_POLICIES
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICE_POLICIES (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    SERVICE_ID      CHAR(36) NOT NULL,
>    POLICY_EXT_ID   NVARCHAR2(128) NOT NULL,
>    POLICY_TYPE     VARCHAR2(128) NOT NULL,
>    CONSTRAINT SERVICE_POLICIES_PK PRIMARY KEY (ID),
>    CONSTRAINT SERVICE_POLICIES_FK1 FOREIGN KEY (SERVICE_ID) REFERENCES ~DIRECTORYID..OPTIM_SERVICES (ID) ON DELETE CASCADE
>)~TSSERVPOLY>
>Table ~DIRECTORYID..OPTIM_SERVICE_DEP_ENTITIES
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICE_DEP_ENTITIES (
>    SERVICE_ID          	CHAR(36) NOT NULL,
>    DEPENDENT_SERVICE_ID    CHAR(36) NOT NULL,
>    CONTENT_ID          CHAR(36),
>    CONSTRAINT SERVICE_DEPENDENT_PK PRIMARY KEY (SERVICE_ID, DEPENDENT_SERVICE_ID),
>    CONSTRAINT SERVICE_DEPENDENT_ENTITIES_FK1 FOREIGN KEY (SERVICE_ID) REFERENCES ~DIRECTORYID..OPTIM_SERVICES (ID) ON DELETE CASCADE
>)~TSSERVDEPENT>
>Table ~DIRECTORYID..OPTIM_PRIMARY_KEYS
>CREATE TABLE ~DIRECTORYID..OPTIM_PRIMARY_KEYS (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    IS_GENERIC		CHAR(1) DEFAULT 'F',
>    ENTITY_ID       NVARCHAR2(422) NOT NULL,
>	PST_CHECK_SUM     	NUMBER(12,0)  DEFAULT 0 NOT NULL,
>    CONSTRAINT PRIMARY_KEYS_PK PRIMARY KEY (ID)
>)~TSPKEYS>
>Index ~DIRECTORYID..IDX_PRIMARY_KEYS_ENTITY_ID ON OPTIM_PRIMARY_KEYS(ENTITY_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_PRIMARY_KEYS_ENTITY_ID ON ~DIRECTORYID..OPTIM_PRIMARY_KEYS(ENTITY_ID)>
>Table ~DIRECTORYID..OPTIM_JDBC_DRIVERS
>CREATE TABLE ~DIRECTORYID..OPTIM_JDBC_DRIVERS (
>    ID              CHAR(36) NOT NULL,
>    VERSION         NUMBER NOT NULL,
>    CREATE_TIME     TIMESTAMP DEFAULT CURRENT_TIMESTAMP NOT NULL,
>    CREATE_USER     VARCHAR2(255) NOT NULL,
>    UPDATE_TIME     TIMESTAMP DEFAULT NULL,
>    UPDATE_USER     VARCHAR2(255),
>    NAME            NVARCHAR2(128) NOT NULL,
>    DESCRIPTION     NVARCHAR2(255),
>    OBJECT_STATE	VARCHAR2(36) NOT NULL,
>    VENDOR          VARCHAR2(32) NOT NULL,
>    VENDOR_VERSION  VARCHAR2(32) NOT NULL,
>    DRIVER_FILE		NVARCHAR2(255) NOT NULL,
>    DRIVER_FILE_TIME	TIMESTAMP,
>    CONSTRAINT JDBC_DRIVERS_PK PRIMARY KEY (ID, VENDOR, VENDOR_VERSION)
>)~TSJDBCDRV>
>Table ~DIRECTORYID..OPTIM_GROUPS
>CREATE TABLE ~DIRECTORYID..OPTIM_GROUPS (
>    ID                		CHAR(36)        NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    NAME                    NVARCHAR2(100)   NOT NULL,
>    DESCRIPTION             NVARCHAR2(1024),
>    CONSTRAINT PK_GROUPS PRIMARY KEY (ID) ,
>    CONSTRAINT UQ_GROUP_NAME UNIQUE(NAME)
>)~TSGROUPS>
>Table ~DIRECTORYID..OPTIM_GROUP_SERVICE
>CREATE TABLE ~DIRECTORYID..OPTIM_GROUP_SERVICE (
>    ID                		CHAR(36)        NOT NULL,
>    GROUP_ID                CHAR(36)        NOT NULL,
>    SERVICE_ID              CHAR(36)        NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    CONSTRAINT PK_GROUP_SERVICE PRIMARY KEY (ID),
>    CONSTRAINT UQ_GROUP_SERVICE UNIQUE (GROUP_ID, SERVICE_ID),
>    CONSTRAINT FK_GROUP_SERVICE FOREIGN KEY (GROUP_ID) REFERENCES ~DIRECTORYID..OPTIM_GROUPS(ID) ON DELETE CASCADE 
>)~TSGRPSERV>
>Table ~DIRECTORYID..OPTIM_USER_GROUP
>CREATE TABLE ~DIRECTORYID..OPTIM_USER_GROUP (
>    ID                		CHAR(36)        NOT NULL,
>    USER_NAME               NVARCHAR2(100)    NOT NULL,        
>    GROUP_ID                CHAR(36)        NOT NULL,      
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER             VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    CONSTRAINT PK_GROUP_USER PRIMARY KEY (ID),
>    CONSTRAINT UQ_GROUP_USER UNIQUE (USER_NAME, GROUP_ID),
>    CONSTRAINT FK_GROUP_USER FOREIGN KEY (GROUP_ID) REFERENCES ~DIRECTORYID..OPTIM_GROUPS(ID) ON DELETE CASCADE 
>)~TSUSRGRP>
>Index ~DIRECTORYID..IDX_USER_NAME ON OPTIM_USER_GROUP(USER_NAME) 
>CREATE INDEX ~DIRECTORYID..IDX_USER_NAME ON ~DIRECTORYID..OPTIM_USER_GROUP(USER_NAME)>
>Table ~DIRECTORYID..OPTIM_SERVICE_ASSIGNMENT
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICE_ASSIGNMENT (
>    SERVICE_ID              CHAR(36)        NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    IS_AUTOMATIC_PROXY      CHAR (1)        DEFAULT 'f' NOT NULL,
>    PROXY_URI               VARCHAR2(512),
>    ENV_TYPE                VARCHAR2(2)         NOT NULL,
>    CONSTRAINT PK_SERVICE_ASSIGNMENT PRIMARY KEY (SERVICE_ID, ENV_TYPE)
>)~TSSERVASMT>
>Index ~DIRECTORYID..IDX_ENV_TYPE ON OPTIM_SERVICE_ASSIGNMENT(ENV_TYPE) 
>CREATE INDEX ~DIRECTORYID..IDX_ENV_TYPE ON ~DIRECTORYID..OPTIM_SERVICE_ASSIGNMENT(ENV_TYPE)>
>Index ~DIRECTORYID..IDX_PROXY_URI ON OPTIM_SERVICE_ASSIGNMENT(PROXY_URI) 
>CREATE INDEX ~DIRECTORYID..IDX_PROXY_URI ON ~DIRECTORYID..OPTIM_SERVICE_ASSIGNMENT(PROXY_URI)>
>Table ~DIRECTORYID..OPTIM_SERVICE_OVERRIDES
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICE_OVERRIDES (
>    ID    					CHAR(36)    NOT NULL,
>    SERVICE_ID              CHAR(36)    NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    CONSTRAINT PK_SERVICE_OVERRIDES PRIMARY KEY (ID),
>    CONSTRAINT FK_SERVICE_OVERRIDES FOREIGN KEY  (SERVICE_ID) REFERENCES ~DIRECTORYID..OPTIM_SERVICES(ID) ON DELETE CASCADE 
>)~TSSRVCEOVRDS>
>Index ~DIRECTORYID..IDX_SERVICE_ID  ON OPTIM_SERVICE_OVERRIDES(SERVICE_ID ) 
>CREATE INDEX ~DIRECTORYID..IDX_SERVICE_ID  ON ~DIRECTORYID..OPTIM_SERVICE_OVERRIDES(SERVICE_ID )>
>Table ~DIRECTORYID..OPTIM_CONTROL
>CREATE TABLE ~DIRECTORYID..OPTIM_CONTROL (
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER             VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    NAME                    VARCHAR2(36) NOT NULL,
>    NEXTVAL                 NUMBER,
>    CONSTRAINT PK_OPTIM_CONTROL PRIMARY KEY (NAME) 
>)~TSCONTROL>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_control values (1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin','WO',10000);
>END;>
>Table ~DIRECTORYID..OPTIM_SERVICESET
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICESET (
>    ID                      CHAR(36) NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    DESCRIPTION             NVARCHAR2(255),
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER             VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    NAME                    NVARCHAR2(256)   NOT NULL,
>    FOLDER_ID               CHAR(36),
>    SERVICESET_VERSION      VARCHAR2(25),
>    IS_STOP_ON_FAILURE      CHAR (1)         DEFAULT 'f',
>    OBJECT_STATE			VARCHAR2(36), 
>    CONSTRAINT EM_SERVICESET_PK PRIMARY KEY (ID),
>    CONSTRAINT UQ_SERVICESET_PK UNIQUE (NAME) 
>)~TSSRVCESET>
>Table ~DIRECTORYID..OPTIM_SERVICESET_SERVICES
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICESET_SERVICES (
>    SET_ID                  CHAR(36) NOT NULL,
>    SERVICE_ID              CHAR(36) NOT NULL,
>    SEQUENCE_NO             NUMBER NOT NULL,
>    CONSTRAINT PK_SET_SERVICES PRIMARY KEY (SET_ID, SERVICE_ID),
>    CONSTRAINT FK_SET_SERVICE FOREIGN KEY  (SET_ID) REFERENCES ~DIRECTORYID..OPTIM_SERVICESET(ID) ON DELETE CASCADE 
>)~TSSERVSETSRVCES>
>Table ~DIRECTORYID..OPTIM_SERVICESET_INSTANCE
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICESET_INSTANCE (
>    ID                      CHAR(36)        NOT NULL,   
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    NAME                    NVARCHAR2(256)   NOT NULL,
>    FOLDER_ID               CHAR(36),
>    SERVICESET_VERSION      VARCHAR2(25)     NOT NULL,
>    IS_STOP_ON_FAILURE      CHAR (1)         DEFAULT 'f',
>    ORIGIN                  VARCHAR2(64)     NOT NULL,
>    EXECUTED_BY             VARCHAR2(64)     NOT NULL,
>    CONSTRAINT PK_SERVICESET PRIMARY KEY (ID)
>)~TSSERVSETINST>
>Table ~DIRECTORYID..OPTIM_SCHEDULES
>CREATE TABLE ~DIRECTORYID..OPTIM_SCHEDULES (
>    ID              CHAR(36)    NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    ENTITY_VERSION  NUMBER,
>    CONSTRAINT SCHEDULES_PK PRIMARY KEY (ID)
>)~TSSCHEDULES>
>Table ~DIRECTORYID..OPTIM_SCHEDULER_TASKS
>CREATE TABLE ~DIRECTORYID..OPTIM_SCHEDULER_TASKS (
>    ID                      CHAR(36)        NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    SCHEDULER_TASK_TYPE     VARCHAR2(13)        NOT NULL,
>    SERVICE_ID              VARCHAR2(254)    NOT NULL,
>    PROXY_URL               VARCHAR2(254),
>    ENTITY_VERSION          NUMBER,
>    CREATOR                 VARCHAR2(64),
>    ORIGIN                  VARCHAR2(64),
>    CONSTRAINT SCHEDULER_TASKS_PK PRIMARY KEY (ID),
>    CONSTRAINT SCHEDULER_TASKS_FK FOREIGN KEY (ID) REFERENCES ~DIRECTORYID..OPTIM_SCHEDULES (ID)
>)~TSSCHDTASKS>
>Table ~DIRECTORYID..OPTIM_TRIGGERS
>CREATE TABLE ~DIRECTORYID..OPTIM_TRIGGERS (
>    ID                  CHAR(36)    NOT NULL,
>    CREATE_TIME         TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER         VARCHAR2(255) NOT NULL,
>    UPDATE_TIME         TIMESTAMP ,
>    UPDATE_USER         VARCHAR2(255),
>    TRIGGER_TYPE        VARCHAR2(7)     NOT NULL,
>    START_DATE          NUMBER(20,0)      NOT NULL,
>    END_DATE            NUMBER(20,0)      NOT NULL,
>    CRON_EXPRESSION     NVARCHAR2(254),
>    REPEAT_COUNT        NUMBER,
>    REPEAT_INTERVAL     NUMBER(20,0),
>    ENTITY_VERSION      NUMBER,
>    CONSTRAINT TRIGGERS_PK PRIMARY KEY (ID),
>    CONSTRAINT TRIGGERS_FK FOREIGN KEY (ID) REFERENCES ~DIRECTORYID..OPTIM_SCHEDULES (ID)
>)    ~TSTRIGGERS>
>Index ~DIRECTORYID..I_SCHDTSK_DTYPE ON OPTIM_SCHEDULER_TASKS (SCHEDULER_TASK_TYPE) 
>CREATE INDEX ~DIRECTORYID..I_SCHDTSK_DTYPE ON ~DIRECTORYID..OPTIM_SCHEDULER_TASKS (SCHEDULER_TASK_TYPE)>
>Index ~DIRECTORYID..I_TRIGGER_DTYPE ON OPTIM_TRIGGERS (TRIGGER_TYPE) 
>CREATE INDEX ~DIRECTORYID..I_TRIGGER_DTYPE ON ~DIRECTORYID..OPTIM_TRIGGERS (TRIGGER_TYPE)>
>Table ~DIRECTORYID..OPTIM_JOB_QUERY
>CREATE TABLE ~DIRECTORYID..OPTIM_JOB_QUERY (
>    ID            			CHAR(36)        NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    ENV_TYPE                VARCHAR2(2)         NOT NULL,
>    JOB_QUERY_NAME          NVARCHAR2(64)     NOT NULL,
>    USER_NAME               NVARCHAR2(64)     NOT NULL,
>    SERVICE_PATH            VARCHAR2(128),
>    JOB_STATUS              NVARCHAR2(64),
>    MGMT_CANONICAL_NAME     NVARCHAR2(256),
>    START_DATE_RANGE        VARCHAR2(64),
>    START_DATE_TIME         VARCHAR2(64),
>    END_DATE_TIME           VARCHAR2(64),
>    SERVICE_TYPE            NVARCHAR2(128),
>    SERVICE_REQUEST_TYPE    NVARCHAR2(128),
>    CONSTRAINT PK_JOB_QUERY PRIMARY KEY (ID) 
>)~TSJOBQRY>
>Table ~DIRECTORYID..OPTIM_SERVICE_INSTANCES
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICE_INSTANCES (
>    ID                  CHAR(36)        NOT NULL,
>    VERSION             NUMBER NOT NULL,
>    CREATE_TIME         TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER         VARCHAR2(255) NOT NULL,
>    UPDATE_TIME         TIMESTAMP ,
>    UPDATE_USER         VARCHAR2(255),
>    SERVICE_NAME        NVARCHAR2(128)    NOT NULL,
>    SERVICE_VERSION     VARCHAR2(25)     NOT NULL,
>    PLATFORM_TYPE       NVARCHAR2(128)    NOT NULL,
>    REQUEST_TYPE        NVARCHAR2(128)    NOT NULL,
>    START_TIME          NUMBER(20,0),
>    END_TIME            NUMBER(20,0),
>    HAS_ENDED           CHAR (1)         DEFAULT 'f',
>    RETURN_CODE         NUMBER,
>    ABEND_CODE          NUMBER,
>    JES_JOB_NAME        NVARCHAR2(254),
>    JCL_ERROR           CHAR (1)         DEFAULT 'f',
>    RESTART_RETRY       CHAR (1)         DEFAULT 'f',
>    PROXY_URL           NVARCHAR2(512),
>    SERVICE_ID          CHAR(36),
>    EXECUTED_BY         NVARCHAR2(64)     NOT NULL,
>    ORIGIN              NVARCHAR2(64)     NOT NULL, 
>    CONTROL_FILE_PATH   VARCHAR2(254),
>    FOLDER_PATH         VARCHAR2(254),
>    CONSTRAINT SERVICE_INSTANCES_PK PRIMARY KEY (ID)
>)~TSSRVCEINST>
>Index ~DIRECTORYID..IDX_ORIGIN  ON OPTIM_SERVICE_INSTANCES (ORIGIN) 
>CREATE INDEX ~DIRECTORYID..IDX_ORIGIN  ON ~DIRECTORYID..OPTIM_SERVICE_INSTANCES (ORIGIN)>
>Table ~DIRECTORYID..OPTIM_RESTART_RETRY_HISTORY
>CREATE TABLE ~DIRECTORYID..OPTIM_RESTART_RETRY_HISTORY (
>    SERVICE_EXECUTION_ID    CHAR(36)        NOT NULL,
>    PARENT_EXECUTION_ID     CHAR(36),
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    CONTROL_FILE_PATH      VARCHAR2(254),
>    CONSTRAINT OPTIM_RESTART_RETRY_HIST_PK PRIMARY KEY (SERVICE_EXECUTION_ID),
>    CONSTRAINT OPTIM_RESTART_RETRY_HIST_FK1 FOREIGN KEY (SERVICE_EXECUTION_ID) REFERENCES ~DIRECTORYID..OPTIM_SERVICE_INSTANCES (ID) 
>)~TSRSTRETRHIST>
>Table ~DIRECTORYID..OPTIM_SERVICE_INSTANCES_IN_SET
>CREATE TABLE ~DIRECTORYID..OPTIM_SERVICE_INSTANCES_IN_SET (
>    SERVICESET_ID           CHAR(36)        NOT NULL,
>    SERVICE_INSTANCE_ID     CHAR(36)        NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    SERVICE_NAME            NVARCHAR2 (256)  NOT NULL,
>    MANAGED_SERVICE_STATUS  NVARCHAR2(64),
>    SERVICE_TYPE            NVARCHAR2(128),
>    REQUEST_TYPE            NVARCHAR2(128),
>    SEQUENCE_NO             NUMBER NOT NULL,
>    CONSTRAINT PK_SERVICES_IN_SET PRIMARY KEY (SERVICESET_ID, SERVICE_INSTANCE_ID),
>    CONSTRAINT FK_SERVICES_IN_SET FOREIGN KEY (SERVICESET_ID) REFERENCES ~DIRECTORYID..OPTIM_SERVICESET_INSTANCE(ID),
>    CONSTRAINT FK_SERVICE_INSTANCE_ID FOREIGN KEY (SERVICE_INSTANCE_ID) REFERENCES ~DIRECTORYID..OPTIM_SERVICE_INSTANCES(ID) 
>)~TSSERVINSTINSET>
>Table ~DIRECTORYID..OPTIM_WO_WORKFLOW
>CREATE TABLE ~DIRECTORYID..OPTIM_WO_WORKFLOW (
>    ID                      NUMBER         NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER             VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    NAME                    NVARCHAR2(32)     NOT NULL,
>    DESCRIPTION             NVARCHAR2(255),
>    CONSTRAINT PK_WO_WORKFLOW PRIMARY KEY (ID)
>)~TSWOWFLW>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_workflow values (1,1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin','DEFAULT', 'The default work order work flow template.');
>END;>
>Table ~DIRECTORYID..OPTIM_WO_STATES
>CREATE TABLE ~DIRECTORYID..OPTIM_WO_STATES (
>    ID                      NUMBER          NOT NULL,
>    VERSION                 NUMBER          NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER             VARCHAR2(255)    NOT NULL,
>    UPDATE_TIME             TIMESTAMP       ,
>    UPDATE_USER             VARCHAR2(255),
>    WF_ID	            	NUMBER			NOT NULL,
>    STATE                   VARCHAR2(32)    NOT NULL,
>    OWNER                   VARCHAR2(36)	    NOT NULL,
>    ACTIVE                  VARCHAR2(1)		NOT NULL,
>    NOTIFY		            VARCHAR2(1)		NOT NULL,
>    CONFIGURABLE            VARCHAR2(1)		NOT NULL,
>    CONSTRAINT PK_WO_STATES PRIMARY KEY (ID, WF_ID),
>    CONSTRAINT FK_STATES_WF FOREIGN KEY (WF_ID) REFERENCES ~DIRECTORYID..OPTIM_WO_WORKFLOW(ID)
>)~TSWOSTATES>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (100, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'NEW', '1', 'Y', 'N', 'N');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (200, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'REQUESTED', '2', 'Y', 'Y', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (250, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'DENIED', '1', 'Y', 'Y', 'N');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (300, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'QUEUED', '3', 'Y', 'Y', 'N');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (400, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'SUBMITTED','3', 'Y', 'Y', 'N');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (450, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'REJECTED', '2', 'Y', 'Y', 'N');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (500, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'READY', '1', 'Y', 'Y', 'N');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (550, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'RETURNED', '3', 'Y', 'Y', 'N');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (600, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'COMPLETED', '1', 'Y', 'Y', 'N');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_states values (999, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 'TERMINATED', '1', 'Y', 'Y', 'N');
>END;>
>Table ~DIRECTORYID..OPTIM_WO_TRANSITIONS
>CREATE TABLE ~DIRECTORYID..OPTIM_WO_TRANSITIONS (
>    ID		 	 NUMBER		NOT NULL,
>    VERSION      NUMBER NOT NULL,
>    CREATE_TIME  TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER  VARCHAR2(255) NOT NULL,
>    UPDATE_TIME  TIMESTAMP ,
>    UPDATE_USER  VARCHAR2(255),
>    WF_ID		 NUMBER		NOT NULL,
>    STATE_ID     NUMBER		NOT NULL,
>    NEW_STATE_ID NUMBER		NOT NULL,
>    TRANSITION   VARCHAR2(32)	NOT NULL,
>    OWNER        VARCHAR2(36)		NOT NULL,
>    ACTIVE       VARCHAR2(1)		NOT NULL,
>    CONSTRAINT PK_WO_TRANSITIONS PRIMARY KEY  (ID, WF_ID),
>    CONSTRAINT FK_STATES FOREIGN KEY  (STATE_ID, WF_ID)     REFERENCES ~DIRECTORYID..OPTIM_WO_STATES(ID, WF_ID),
>    CONSTRAINT FK_NEW_STATES FOREIGN KEY  (NEW_STATE_ID, WF_ID) REFERENCES ~DIRECTORYID..OPTIM_WO_STATES(ID, WF_ID)
>)~TSWOTRNS>
>Index ~DIRECTORYID..IDX_STATE_ID ON OPTIM_WO_TRANSITIONS(STATE_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_STATE_ID ON ~DIRECTORYID..OPTIM_WO_TRANSITIONS(STATE_ID)>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (1,  1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 100, 200, 'SUBMIT', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (2,  1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 200, 250, 'DENY', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (3,  1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 250, 200, 'RESUBMIT', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (4,  1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 200, 999, 'TERMINATE', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (5,  1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 200, 999, 'TERMINATE', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (6,  1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 200, 999, 'TERMINATE', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (7,  1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 250, 999, 'TERMINATE', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (8,  1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 250, 999, 'TERMINATE', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (9,  1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 250, 999, 'TERMINATE', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (10, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 200, 300, 'APPROVE', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (11, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 100, 300, 'SUBMIT', '1', 'N');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (12, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 300, 999, 'TERMINATE', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (13, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 300, 999, 'TERMINATE', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (14, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 300, 999, 'TERMINATE', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (15, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 300, 400, 'ACCEPT', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (16, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 400, 450, 'REJECT', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (17, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 450, 300, 'RESUBMIT', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (18, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 400, 999, 'TERMINATE', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (19, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 400, 999, 'TERMINATE', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (20, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 400, 999, 'TERMINATE', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (21, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 450, 999, 'TERMINATE', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (22, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 450, 999, 'TERMINATE', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (23, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 450, 999, 'TERMINATE', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (24, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 400, 500, 'ASSOCIATE', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (25, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 400, 600, 'COMPLETE', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (26, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 500, 550, 'RETURN', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (27, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 550, 500, 'RESUBMIT', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (28, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 500, 999, 'TERMINATE', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (29, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 500, 999, 'TERMINATE', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (30, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 500, 999, 'TERMINATE', '3', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (31, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 550, 999, 'TERMINATE', '1', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (32, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 550, 999, 'TERMINATE', '2', 'Y');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_transitions values (33, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, 550, 999, 'TERMINATE', '3', 'Y');
>END;>
>Table ~DIRECTORYID..OPTIM_WO_NOTIFICATIONS
>CREATE TABLE ~DIRECTORYID..OPTIM_WO_NOTIFICATIONS (
>    STATE_ID	            NUMBER	NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER                 VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    WF_ID	            	NUMBER NOT NULL,
>    NOTIFY_ID	            VARCHAR2(36)	NOT NULL,
>    CONSTRAINT PK_WO_NOTIFICATIONS PRIMARY KEY  (STATE_ID, WF_ID, NOTIFY_ID),
>    CONSTRAINT FK_NOTIFY_STATES FOREIGN KEY  (STATE_ID, WF_ID) REFERENCES ~DIRECTORYID..OPTIM_WO_STATES(ID, WF_ID)
>)~TSWONTFS>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (200, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '2');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (250, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '1');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (300, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '3');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (400, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '1');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (450, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '1');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (450, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '2');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (500, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '1');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (550, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '3');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (600, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '1');
>END;>
>DECLARE
>BEGIN
>INSERT INTO ~DIRECTORYID..optim_wo_notifications values (999, 1,CURRENT_TIMESTAMP,'admin',CURRENT_TIMESTAMP,'admin',1, '1');
>END;>
>Table ~DIRECTORYID..OPTIM_WORK_ORDERS
>CREATE TABLE ~DIRECTORYID..OPTIM_WORK_ORDERS (
>    ID		 	 NUMBER	    NOT NULL,
>    WO_UUID      CHAR(36)       NOT NULL,
>    VERSION      NUMBER NOT NULL,
>    CREATE_TIME  TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER  VARCHAR2(255) NOT NULL,
>    UPDATE_TIME  TIMESTAMP ,
>    UPDATE_USER  VARCHAR2(255),
>    WF_ID		 NUMBER		NOT NULL,
>    STATE_ID     NUMBER		NOT NULL,
>    DESCRIPTION	 NVARCHAR2(256),
>    WO_TYPE	 	 VARCHAR2(32),
>    PRIORITY     NVARCHAR2(64),
>    COMMENTS     NVARCHAR2(2000), 
>    TAGS		 NVARCHAR2(2000), 
>    CREATEDBY	 NVARCHAR2(100)	NOT NULL,
>    CREATEDDT	 NUMBER(20,0)		NOT NULL,
>    SERVICE_ID	 CHAR(36),
>    SS_ID        CHAR(36),
>    OBJECT_STATE VARCHAR2(36), 
>    CONSTRAINT PK_WORK_ORDERS PRIMARY KEY  (WO_UUID),
>    CONSTRAINT WO_ID UNIQUE (ID) ,
>    CONSTRAINT FK_WO_STATES FOREIGN KEY  (STATE_ID, WF_ID)     REFERENCES ~DIRECTORYID..OPTIM_WO_STATES(ID, WF_ID),
>    CONSTRAINT FK_SERVICES FOREIGN KEY  (SERVICE_ID)	       REFERENCES ~DIRECTORYID..OPTIM_SERVICES(ID),
>    CONSTRAINT FK_SERVICE_SETS FOREIGN KEY  (SS_ID ) REFERENCES ~DIRECTORYID..OPTIM_SERVICESET(ID)
>)~TSWRKORDS>
>Index ~DIRECTORYID..IDX_WO_STATE_ID ON OPTIM_WORK_ORDERS(STATE_ID) 
>CREATE INDEX ~DIRECTORYID..IDX_WO_STATE_ID ON ~DIRECTORYID..OPTIM_WORK_ORDERS(STATE_ID)>
>Table ~DIRECTORYID..OPTIM_WO_EXEC_INSTANCES
>CREATE TABLE ~DIRECTORYID..OPTIM_WO_EXEC_INSTANCES (
>    WO_ID       	        NUMBER      NOT NULL,
>    VERSION                 NUMBER NOT NULL,
>    CREATE_TIME             TIMESTAMP DEFAULT CURRENT_TIMESTAMP,
>    CREATE_USER             VARCHAR2(255) NOT NULL,
>    UPDATE_TIME             TIMESTAMP ,
>    UPDATE_USER             VARCHAR2(255),
>    EXECUTION_ID	        CHAR(36)     NOT NULL,
>    EXEC_TYPE		        VARCHAR2(32)	 NOT NULL,
>    CONSTRAINT PK_EXEC_INSTANCES PRIMARY KEY (WO_ID, EXECUTION_ID),
>    CONSTRAINT FK_WOEI_WORK_ORDERS FOREIGN KEY (WO_ID) REFERENCES ~DIRECTORYID..OPTIM_WORK_ORDERS(ID)
>)~TSWOEXECINSTS>
>TABLE ~DIRECTORYID..OPTIM_GLOBAL_POLICYMAP
>CREATE TABLE ~DIRECTORYID..OPTIM_GLOBAL_POLICYMAP (
>    POLICY_UUID 		    CHAR(36) NOT NULL,
>    POLICY_ID			    NVARCHAR2(128) NOT NULL,
>    PARENT_POLICY_UUID 	CHAR(36) NOT NULL,
>    PARENT_POLICY_ID	    NVARCHAR2(128) NOT NULL,
>CONSTRAINT PK_GLOBAL_POLICYMAP 	PRIMARY KEY (POLICY_UUID, PARENT_POLICY_UUID))~TSGBLPOLYMAP>
>View ~DIRECTORYID..OPTIM_WO_SEARCH_VW
>CREATE VIEW ~DIRECTORYID..OPTIM_WO_SEARCH_VW (
>ID
>,WF_ID
>,STATE_ID
>,DESCRIPTION
>,WO_TYPE
>,PRIORITY
>,COMMENTS
>,TAGS
>,CREATEDBY
>,CREATEDDT
>,SS_ID
>) AS SELECT 
>ID
>,WF_ID
>,STATE_ID
>,LOWER(DESCRIPTION)
>,WO_TYPE
>,PRIORITY
>,LOWER(COMMENTS)
>,LOWER(TAGS)
>,CREATEDBY
>,CREATEDDT
>,SS_ID
>FROM ~DIRECTORYID..OPTIM_WORK_ORDERS>
>View ~DIRECTORYID..OPTIM_OPERATIONAL_VIEW
>CREATE VIEW ~DIRECTORYID..OPTIM_OPERATIONAL_VIEW AS SELECT
>si.id, 
>si.service_name, 
>si.request_type, 
>si.start_time, 
>si.end_time, 
>si.has_ended, 
>si.return_code,
>TRUNC((si.start_time/(60*60*1000))) AS hour, 
>TRUNC((si.start_time/(24*60*60*1000))) AS day,  
>TRUNC((si.start_time/(7*24*60*60*1000))) AS week, 
>(si.end_time - si.start_time) AS duration, 
>si.proxy_url, 
>si.executed_by, 
>si.origin, 
>si.folder_path 
>FROM ~DIRECTORYID..optim_service_instances si>
>VIEW ~DIRECTORYID..OPTIM_DATA_PRIVACY_VIEW
>CREATE VIEW ~DIRECTORYID..OPTIM_DATA_PRIVACY_VIEW AS SELECT  
>SUBSTR(cm.right_entity_id,1, INSTR(cm.right_entity_id, '.', 1, 1) - 1) AS data_store_name, 
>CM.RIGHT_ENTITY_ID AS DATASTORESCHEMA_NAME,
>ds.vendor, 
>cm.id, 
>cm.update_time, 
>cm.update_user, 
>cma.right_attribute as column_name, 
>cma.column_map_policy_id, 
>cma.classification_id, 
>cm.name as column_map_name, 
>cm.is_local as column_map_is_local 
>FROM ~DIRECTORYID..optim_column_map_assignments cma, 
>~DIRECTORYID..optim_column_maps cm, 
>~DIRECTORYID..optim_data_stores ds where cma.column_map_id = cm.id and 
>ds.name = SUBSTR(cm.right_entity_id,1, INSTR(cm.right_entity_id, '.', 1, 1) - 1)>
>VIEW ~DIRECTORYID..OPTIM_MASKING_ENFORCEMENT_VIEW
>CREATE VIEW ~DIRECTORYID..OPTIM_MASKING_ENFORCEMENT_VIEW AS SELECT
>x.id, 
>x.service_name as name, 
>x.request_type as service_type, 
>x.start_time, 
>x.end_time, 
>x.executed_by, 
>t1.datastoreSchema_name,
>t2.column_name, 
>t2.classification_id, 
>t2.policy_id, 
>t2.percentDataMasked
>FROM ~DIRECTORYID..optim_service_instances x,
>~DIRECTORYID..optim_audit_records y ,
>~DIRECTORYID..optim_transaction_content z,
>XMLTABLE (XMLNAMESPACES('http://www.ibm.com/optim/report/v11.3.0.0' AS "ns1",'http://www.ibm.com/optim/common/v11.3.0.0' as "ns2"),
>'//ns1:entities/ns1:entity'
>PASSING z.xmldata
>COLUMNS datastoreSchema_name VARCHAR2(100) PATH '@name',
>privacyColumn   XMLTYPE      PATH 'ns1:*/ns2:column') t1,
>XMLTable(XMLNAMESPACES('http://www.ibm.com/optim/common/v11.3.0.0' as "ns2"),
>'ns2:column'
>PASSING t1.privacyColumn
>COLUMNS
>column_name VARCHAR2(50) PATH '@name',
>classification_id varchar(100) path 'ns2:privacyInformation/ns2:classification/@id',
>policy_id varchar(100) path 'ns2:privacyInformation/ns2:policy/@id',
>percentDataMasked varchar(50) path 'ns2:privacyInformation/@percentDataMasked') t2
>where x.id=y.service_instance_id and 
>y.id=z.id and y.audit_type='PROCESS_REPORT_XML' and 
>(x.request_type='com.ibm.nex.model.oim.distributed.InsertRequest' or
>x.request_type='com.ibm.nex.model.oim.distributed.LoadRequest' or 
>x.request_type='com.ibm.nex.model.oim.distributed.ConvertRequest' OR 
>X.REQUEST_TYPE='com.ibm.nex.model.oim.distributed.RestoreRequest' OR 
>X.REQUEST_TYPE='com.ibm.nex.model.oim.distributed.ExtractRequest')> 
>VIEW ~DIRECTORYID..OPTIM_DATA_CONSUMPTION_VIEW
>CREATE VIEW ~DIRECTORYID..OPTIM_DATA_CONSUMPTION_VIEW AS
>SELECT X.FILE_GUID, T.SERVER, T.FILE_NAME, T.DATA_BYTE_COUNT, T.ROWS_EXTRACTED, T.ENTITIES, T.CREATION_DATE, T.CREATION_USER, 
>T.SERVICE_NAME, T.ACCESS_DEFINITION, T.STORAGE_PROFILE,T.TOTAL_SIZE,T.UNCOMPRESSED_FILE_SIZE,
>T.COMPRESSION_RATIO,T.IS_SECURED,T.IS_ENCRYPTED ,T.IS_COMPRESSED,T.DESCRIPTION
>FROM ~DIRECTORYID..OPTIM_FILE_CATALOG X,  ~DIRECTORYID..OPTIM_TRANSACTION_CONTENT Y,
>     XMLTABLE(XMLNAMESPACES('http://www.ibm.com/optim/fileMeta/v11.3.0.0' AS "ns1"),
>     '/ns1:fileMeta' PASSING Y.XMLDATA
>     COLUMNS FILE_NAME NVARCHAR2(500) path 'ns1:archiveFile/@name', 
>             DATA_BYTE_COUNT VARCHAR(50) path 'ns1:archiveFile/@dataByteCount',  
>             ROWS_EXTRACTED NUMBER path 'ns1:archiveFile/@totalRecords', 
>             ENTITIES NUMBER path 'ns1:archiveFile/@entityCount',  
>             CREATION_USER NVARCHAR2(50) path 'ns1:archiveFile/@createdBy',
>             CREATION_DATE TIMESTAMP path 'ns1:archiveFile/@creationDate',  
>             SERVICE_NAME NVARCHAR2(128) path 'ns1:archiveFile/@requestName', 
>             ACCESS_DEFINITION NVARCHAR2(128) path 'ns1:accessDefinition/@name', 
>             STORAGE_PROFILE NVARCHAR2(50) path 'ns1:ilg/@storageProfile',
>             SERVER VARCHAR2(255) path 'ns1:archiveFile/@serverName',
>             TOTAL_SIZE NUMBER path 'ns1:archiveFile/@totalSizeInBytes', 
>             UNCOMPRESSED_FILE_SIZE NUMBER path 'ns1:archiveFile/@uncompressedFileSize',
>             COMPRESSION_RATIO NUMBER path 'ns1:archiveFile/@compressionRatio',
>             IS_SECURED VARCHAR2(5)  path 'ns1:archiveFile/@secured',
>             IS_ENCRYPTED VARCHAR2(5)  path 'ns1:archiveFile/@encrypted',
>             IS_COMPRESSED VARCHAR2(5) path 'ns1:archiveFile/@compressed',
>             DESCRIPTION VARCHAR2(255) path 'ns1:archiveFile/@description') AS T
>WHERE X.FILE_GUID=Y.ID AND X.FILE_TYPE='V'>