>Table ~DIRECTORYID..PSTARCVFDAT2
>CREATE TABLE ~DIRECTORYID..PSTARCVFDAT2(
>        ARCHIVEID         INTEGER        NOT NULL,
>        SEQNO             INTEGER        NOT NULL,
>        OPTIONS1          VARCHAR(240)   NOT NULL,
>        OPTIONS2          VARCHAR(240)   NOT NULL,
>        OPTIONS3          VARCHAR(240)   NOT NULL,
>        OPTIONS4          VARCHAR(240)   NOT NULL,
>        OPTIONS5          VARCHAR(240)   NOT NULL,
>        OPTIONS6          VARCHAR(240)   NOT NULL,
>        OPTIONS7          VARCHAR(240)   NOT NULL,
>        OPTIONS8          VARCHAR(240)   NOT NULL,
>       CONSTRAINT PSTARCVDAT_PK2
>        PRIMARY KEY
>       (ARCHIVEID,
>        SEQNO)) ORGANIZE BY ROW
>        ~TSARCFDAT>
>Table ~DIRECTORYID..PSTARCVFILE2
>CREATE TABLE ~DIRECTORYID..PSTARCVFILE2
>       (ARCHIVEID         INTEGER        NOT NULL,
>        ARCVFILENAME      VARCHAR(250)   NOT NULL,
>        INDXFILENAME      VARCHAR(250)   NOT NULL,
>        BRSXFILENAME      VARCHAR(250)   NOT NULL,
>        ARCVMEDIAFMT      CHAR(1)        NOT NULL,
>        INDXMEDIAFMT      CHAR(1)        NOT NULL,
>        BRSXMEDIAFMT      CHAR(1)        NOT NULL,
>        DATETIMEOFARCHIVE CHAR(19)       NOT NULL,
>        GROUPNAME         VARCHAR(24)    NOT NULL,
>        USERID            VARCHAR(255)   NOT NULL,
>        SERVNAME          VARCHAR(45)    NOT NULL,
>        DESCR             VARCHAR(255)   NOT NULL,
>        STATUS            CHAR(1)        NOT NULL,
>        GUID              CHAR(38)       NOT NULL,
>        CHECKSUM          INTEGER        NOT NULL,
>      ARPDELDATE        CHAR(10),
>       CONSTRAINT PSTARCVFILE_PK2
>        PRIMARY KEY
>       (ARCHIVEID)) ORGANIZE BY ROW
>        ~TSARCFILE>
>Table ~DIRECTORYID..PSTARCVSEG2
>CREATE TABLE ~DIRECTORYID..PSTARCVSEG2
>       (ARCHIVEID         INTEGER        NOT NULL,
>        SEGMENTTYPE       CHAR(1)        NOT NULL,
>        SEGMENTID         INTEGER        NOT NULL,
>        ARCVMEDIAFMT      CHAR(1)        NOT NULL,
>        SEGFILENAME       VARCHAR(250)   NOT NULL,
>        SRVSHARENAME      VARCHAR(250)   NOT NULL,
>        CHECKSUM          INTEGER        NOT NULL,
>        OPTIONS1          VARCHAR(255)   NOT NULL,
>        OPTIONS2          VARCHAR(255)   NOT NULL,
>        OPTIONS3          VARCHAR(255)   NOT NULL,
>       CONSTRAINT PSTARCVSEG_PK2
>        PRIMARY KEY
>       (ARCHIVEID,
>        SEGMENTTYPE,
>        SEGMENTID)) ORGANIZE BY ROW
>        ~TSARCSEG>
>Table ~DIRECTORYID..PSTARCVTBL2
>CREATE TABLE ~DIRECTORYID..PSTARCVTBL2
>       (ARCHIVEID         INTEGER        NOT NULL,
>        TABLEDBALIAS      VARCHAR(36)    NOT NULL,
>        TABLECREATORID    VARCHAR(192)   NOT NULL,
>        TABLENAME         VARCHAR(192)   NOT NULL,
>        TABLEID           INTEGER        NOT NULL,
>        STARTTABLEFLAG    CHAR(1)        NOT NULL,
>        CHECKSUM          INTEGER        NOT NULL,
>        SEQNO             INTEGER        NOT NULL,
>        TABLEDATA1        VARCHAR(250)   NOT NULL,
>        TABLEDATA2        VARCHAR(250)   NOT NULL,
>        TABLEDATA3        VARCHAR(250)   NOT NULL,
>        TABLEDATA4        VARCHAR(250)   NOT NULL,
>        TABLEDATA5        VARCHAR(250)   NOT NULL,
>        TABLEDATA6        VARCHAR(250)   NOT NULL,
>       CONSTRAINT PSTARCVTBL_PK2
>        PRIMARY KEY
>       (ARCHIVEID,
>        TABLEID,
>        SEQNO)) ORGANIZE BY ROW
>        ~TSARCTABLE>
>Table ~DIRECTORYID..PSTAUDIT2
>CREATE TABLE ~DIRECTORYID..PSTAUDIT2
>       (DBALIAS           VARCHAR(36)    NOT NULL,
>        CREATORID         VARCHAR(192)   NOT NULL,
>        TABLENAME         VARCHAR(192)   NOT NULL,
>        USERID            VARCHAR(255)   NOT NULL,
>        AUDIT_TYPE        CHAR(1)        NOT NULL,
>        ACTION_DT         TIMESTAMP
>                          DEFAULT        NOT NULL,
>        SEQNO             BIGINT         NOT NULL,
>        SUBSEQNO          INTEGER        NOT NULL,
>        CHECKSUM          INTEGER        NOT NULL,
>        DATA1             VARCHAR(255)   NOT NULL,
>        DATA2             VARCHAR(255)   NOT NULL,
>        DATA3             VARCHAR(255)   NOT NULL,
>        DATA4             VARCHAR(255)   NOT NULL,
>       CONSTRAINT PSTAUDIT_PK2
>        PRIMARY KEY
>       (DBALIAS,
>        CREATORID,
>        TABLENAME,
>        SEQNO,
>        SUBSEQNO,
>        AUDIT_TYPE)) ORGANIZE BY ROW
>        ~TSAUDIT>
>Table ~DIRECTORYID..PSTCOLLECTION2
>CREATE TABLE ~DIRECTORYID..PSTCOLLECTION2
>       (COLLECTION_ID     VARCHAR(45)    NOT NULL,
>        COLLECTION_NAME   VARCHAR(90)    NOT NULL,
>        ROW_TYPE          CHAR(1)        NOT NULL,
>        ARCHIVEID         INTEGER        NOT NULL,
>        MOD_USERID        VARCHAR(255)   NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        SEQNO             INTEGER        NOT NULL,
>        CHECK_SUM         INTEGER        NOT NULL,
>        DEFINITION1       VARCHAR(255)   NOT NULL,
>        DEFINITION2       VARCHAR(255)   NOT NULL,
>        DEFINITION3       VARCHAR(255)   NOT NULL,
>        DEFINITION4       VARCHAR(255)   NOT NULL,
>        DEFINITION5       VARCHAR(255)   NOT NULL,
>       CONSTRAINT PSTCOLLECTION_PK2
>        PRIMARY KEY
>       (COLLECTION_ID,
>        COLLECTION_NAME,
>        ROW_TYPE,
>        ARCHIVEID,
>        SEQNO)) ORGANIZE BY ROW
>        ~TSCOLLECT>
>Table ~DIRECTORYID..PSTDBA2
>CREATE TABLE ~DIRECTORYID..PSTDBA2
>       (DBALIAS_NAME      VARCHAR(36)    NOT NULL,
>        DBMS_TYPE         CHAR(1)        NOT NULL,
>        DESCRIPTION       VARCHAR(255)   NOT NULL,
>        CONNECT_STR       VARCHAR(255)   NOT NULL,
>        QUALIFIER         VARCHAR(192)   NOT NULL,
>        DIRDB             CHAR(1)        NOT NULL,
>        MOD_USERID        VARCHAR(255)   NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        OPTIONS1          VARCHAR(228)   NOT NULL,
>        OPTIONS2          VARCHAR(228)   NOT NULL,
>        OPTIONS3          VARCHAR(228)   NOT NULL,
>        OPTIONS4          VARCHAR(228)   NOT NULL,
>        CONTENT_ID        VARCHAR(36),
>       CONSTRAINT PSTDBA_PK2
>        PRIMARY KEY
>       (DBALIAS_NAME)) ORGANIZE BY ROW
>        ~TSDBALIAS>
>Table ~DIRECTORYID..PSTOBJ2
>CREATE TABLE ~DIRECTORYID..PSTOBJ2
>       (OBJ_ID            VARCHAR(45)    NOT NULL,
>        OBJ_NAME          VARCHAR(90)    NOT NULL,
>        OBJ_TYPE          CHAR(1)        NOT NULL,
>        DESCRIPTION       VARCHAR(120)   NOT NULL,
>        MOD_USERID        VARCHAR(255)   NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         INTEGER        NOT NULL,
>        SEQNO             INTEGER        NOT NULL,
>        OPTIONS           VARCHAR(201)   NOT NULL,
>        DEFINITION1       VARCHAR(255)   NOT NULL,
>        DEFINITION2       VARCHAR(255)   NOT NULL,
>        DEFINITION3       VARCHAR(255)   NOT NULL,
>        DEFINITION4       VARCHAR(255)   NOT NULL,
>        CONTENT_ID        CHAR(36),
>       CONSTRAINT PSTOBJ_PK2
>        PRIMARY KEY
>       (OBJ_ID,
>        OBJ_NAME,
>        OBJ_TYPE,
>        SEQNO)) ORGANIZE BY ROW
>        ~TSOBJ>
>Table ~DIRECTORYID..PSTPK2
>CREATE TABLE ~DIRECTORYID..PSTPK2
>       (DBALIAS_NAME      VARCHAR(36)    NOT NULL,
>        CREATOR_ID        VARCHAR(192)   NOT NULL,
>        TABLE_NAME        VARCHAR(192)   NOT NULL,
>        DESCRIPTION       VARCHAR(120)   NOT NULL,
>        MOD_USERID        VARCHAR(255)   NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         INTEGER        NOT NULL,
>        SEQNO             INTEGER        NOT NULL,
>        NUM_COL           INTEGER        NOT NULL,
>        DEFINITION1       VARCHAR(255)   NOT NULL,
>        DEFINITION2       VARCHAR(255)   NOT NULL,
>        DEFINITION3       VARCHAR(255)   NOT NULL,
>        DEFINITION4       VARCHAR(255)   NOT NULL,
>       CONSTRAINT PSTPK_PK2
>        PRIMARY KEY
>       (DBALIAS_NAME,
>        CREATOR_ID,
>        TABLE_NAME,
>        SEQNO)) ORGANIZE BY ROW
>        ~TSPK>
>Table ~DIRECTORYID..PSTPT2
>CREATE TABLE ~DIRECTORYID..PSTPT2
>       (CTRLDSN           VARCHAR(250)   NOT NULL,
>        DATADSN           VARCHAR(250)   NOT NULL,
>        STATE             INTEGER        NOT NULL,
>        LASTTYPE          INTEGER        NOT NULL,
>        LASTACTION        INTEGER        NOT NULL,
>        USERID            VARCHAR(255)   NOT NULL,
>        TIME              INTEGER        NOT NULL,
>        TABLENUM          INTEGER        NOT NULL,
>        LUW               INTEGER        NOT NULL,
>        SERVICE_INSTANCE_ID  CHAR(36),
>       CONSTRAINT PSTPT_PK2
>        PRIMARY KEY
>       (CTRLDSN)) ORGANIZE BY ROW
>        ~TSPT>
>Table ~DIRECTORYID..PSTREL2
>CREATE TABLE ~DIRECTORYID..PSTREL2
>       (DEP_DBALIAS_NAME  VARCHAR(36)    NOT NULL,
>        DEP_CREATOR_ID    VARCHAR(192)   NOT NULL,
>        DEP_TABLE_NAME    VARCHAR(192)   NOT NULL,
>        REL_NAME          VARCHAR(192)   NOT NULL,
>        REL_TYPE          CHAR(1)        NOT NULL,
>        PAR_DBALIAS_NAME  VARCHAR(36)    NOT NULL,
>        PAR_CREATOR_ID    VARCHAR(192)   NOT NULL,
>        PAR_TABLE_NAME    VARCHAR(192)   NOT NULL,
>        DESCRIPTION       VARCHAR(120)   NOT NULL,
>        MOD_USERID        VARCHAR(255)   NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         INTEGER        NOT NULL,
>        SEQNO             INTEGER        NOT NULL,
>        STRUCT_ID         CHAR(4)        NOT NULL,
>        OPTIONS1          VARCHAR(240)   NOT NULL,
>        DEFINITION1       VARCHAR(255)   NOT NULL,
>       CONSTRAINT PSTREL_PK2
>        PRIMARY KEY
>       (DEP_DBALIAS_NAME,
>        DEP_CREATOR_ID,
>        DEP_TABLE_NAME,
>        REL_TYPE,
>        REL_NAME,
>        SEQNO)) ORGANIZE BY ROW
>        ~TSREL>
>Index ~DIRECTORYID..PSTREL_CID2 for table ~DIRECTORYID..PSTREL2
>CREATE INDEX ~DIRECTORYID..PSTREL_CID2
>        ON ~DIRECTORYID..PSTREL2
>       (PAR_DBALIAS_NAME,
>        PAR_CREATOR_ID,
>        PAR_TABLE_NAME,
>        REL_TYPE,
>        REL_NAME,
>        SEQNO)>
>Table ~DIRECTORYID..PSTSEC2
>CREATE TABLE ~DIRECTORYID..PSTSEC2
>       (SEC_NAME1         VARCHAR(36)    NOT NULL,
>        SEC_NAME2         VARCHAR(255)   NOT NULL,
>        SEC_NAME3         VARCHAR(255)   NOT NULL,
>        SEC_NAME4         VARCHAR(255)   NOT NULL,
>        SEC_TYPE          CHAR(1)        NOT NULL,
>        DESCRIPTION       VARCHAR(120)   NOT NULL,
>        OWNDOMAIN         VARCHAR(162)   NOT NULL,
>        OWNNAME           VARCHAR(90)    NOT NULL,
>        MOD_USERID        VARCHAR(255)   NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         INTEGER        NOT NULL,
>        OPTIONS1          VARCHAR(255)   NOT NULL,
>       CONSTRAINT PSTSEC_PK2
>        PRIMARY KEY
>       (SEC_NAME1,
>        SEC_NAME2,
>        SEC_TYPE)) ORGANIZE BY ROW
>        ~TSSEC>
>Table ~DIRECTORYID..PSTSECDAT2
>CREATE TABLE ~DIRECTORYID..PSTSECDAT2
>       (SEC_NAME1         VARCHAR(36)    NOT NULL,
>        SEC_NAME2         VARCHAR(255)   NOT NULL,
>        SEC_TYPE          CHAR(1)        NOT NULL,
>        SEQNO             INTEGER        NOT NULL,
>        DEFINITION1       VARCHAR(234)   NOT NULL,
>        DEFINITION2       VARCHAR(234)   NOT NULL,
>        DEFINITION3       VARCHAR(234)   NOT NULL,
>        DEFINITION4       VARCHAR(234)   NOT NULL,
>        DEFINITION5       VARCHAR(234)   NOT NULL,
>        DEFINITION6       VARCHAR(234)   NOT NULL,
>        DEFINITION7       VARCHAR(234)   NOT NULL,
>       CONSTRAINT PSTSECDAT_PK2
>        PRIMARY KEY
>       (SEC_NAME1,
>        SEC_NAME2,
>        SEC_TYPE,
>        SEQNO)) ORGANIZE BY ROW
>        ~TSSECDAT>
>Table ~DIRECTORYID..OPTIM_DIRECTORY_PROPERTIES
>CREATE TABLE ~DIRECTORYID..OPTIM_DIRECTORY_PROPERTIES (
>    NAME            VARCHAR(128) NOT NULL,
>    VALUE           VARCHAR(128) NOT NULL,
> CONSTRAINT DIRECTORY_PROP_PK PRIMARY KEY (NAME)) ORGANIZE BY ROW
>~TSCONFCONT>
