`TABLE ~DPID..OPTIM_JP_ADDRESSES
`CREATE TABLE ~DPID..OPTIM_JP_ADDRESSES
`	( SEQ NUMBER, 
`  		ZIPCODE CHAR(7),
`		PREFECTURE NVARCHAR2(12),
`		CITY  NVARCHAR2(30),
`		ADDRESS1  NVARCHAR2(36),
`		ADDRESS2  NVARCHAR2(42),
` 		PREFECTURE_RM NVARCHAR2(12),
` 		CITY_RM  NVARCHAR2(60),
`  		ADDRESS1_RM  NVARCHAR2(72),
` 		ADDRESS2_RM  NVARCHAR2(42),
`		PREFECTURE_KF NVARCHAR2(24),
`		CITY_KF  NVARCHAR2(60),
` 		ADDRESS1_KF  NVARCHAR2(72),
`  		ADDRESS2_KF  NVARCHAR2(84),
` 		PREFECTURE_KH NVARCHAR2(24),
` 		CITY_KH  NVARCHAR2(90),
`		ADDRESS1_KH  NVARCHAR2(108),
`  		ADDRESS2_KH  NVARCHAR2(84),
`		CONSTRAINT U_JP_ADDRESSES UNIQUE (ADDRESS1,CITY,ZIPCODE),
`  		CONSTRAINT PK_JP_ADDRESSES PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_JP_PERSON
`CREATE TABLE ~DPID..OPTIM_JP_PERSON
`	( SEQ NUMBER,
`  		ID CHAR(6),
`  		FIRSTNAME NVARCHAR2(15),
` 		LASTNAME NVARCHAR2(15),
`  		COMPANY NVARCHAR2(40),
`  		RESIDENTID CHAR(11),
`  		SEX CHAR(3),
`  		PHONE CHAR(12) ,
`  		BIRTHDATE DATE ,
`  		EMAIL_ADDRES NVARCHAR2(50),
`  		FIRSTNAME_RM NVARCHAR2(15),
`  		FIRSTNAME_KF NVARCHAR2(30),
`  		FIRSTNAME_KH NVARCHAR2(30),
`  		LASTNAME_RM NVARCHAR2(15),
`  		LASTNAME_KF NVARCHAR2(30),
`  		LASTNAME_KH NVARCHAR2(30),
`		CONSTRAINT U_JP_PERSON UNIQUE (FIRSTNAME, LASTNAME, SEX, PHONE, BIRTHDATE),  
`  		CONSTRAINT PK_JP_PERSON PRIMARY KEY (SEQ))   
`    ~DPTS`
`TABLE ~DPID..OPTIM_JP_FIRSTNAME
`CREATE TABLE ~DPID..OPTIM_JP_FIRSTNAME
`	( SEQ NUMBER, 
`		FIRSTNAME NVARCHAR2(15),
`  		FIRSTNAME_RM NVARCHAR2(15),
`  		FIRSTNAME_KF NVARCHAR2(15),
`  		FIRSTNAME_KH NVARCHAR2(15),
`		CONSTRAINT U_JP_FIRSTNAME UNIQUE (FIRSTNAME),  
`  		CONSTRAINT PK_JP_FIRSTNAME PRIMARY KEY (SEQ))   
`    ~DPTS`
`TABLE ~DPID..OPTIM_JP_FIRSTNAME_F
`CREATE TABLE ~DPID..OPTIM_JP_FIRSTNAME_F
`	( SEQ NUMBER, 
`  		FIRSTNAME NVARCHAR2(15),
`  		FIRSTNAME_RM NVARCHAR2(15),
`  		FIRSTNAME_KF NVARCHAR2(15),
`  		FIRSTNAME_KH NVARCHAR2(15),
`  		CONSTRAINT U_JP_FIRSTNAME_F UNIQUE (FIRSTNAME),  
`  		CONSTRAINT PK_JP_FIRSTNAME_F PRIMARY KEY (SEQ))   
`    ~DPTS`
`TABLE ~DPID..OPTIM_JP_FIRSTNAME_M
`CREATE TABLE ~DPID..OPTIM_JP_FIRSTNAME_M
`	( SEQ NUMBER, 
`  		FIRSTNAME NVARCHAR2(15),
`  		FIRSTNAME_RM NVARCHAR2(15),
`  		FIRSTNAME_KF NVARCHAR2(15),
`  		FIRSTNAME_KH NVARCHAR2(15),
`  		CONSTRAINT U_JP_FIRSTNAME_M UNIQUE (FIRSTNAME),  
`  		CONSTRAINT PK_JP_FIRSTNAME_M PRIMARY KEY (SEQ))   
`    ~DPTS`
`TABLE ~DPID..OPTIM_JP_LASTNAME
`CREATE TABLE ~DPID..OPTIM_JP_LASTNAME
`	( SEQ NUMBER, 
` 		LASTNAME NVARCHAR2(15),
`  		LASTNAME_RM NVARCHAR2(15),
`  		LASTNAME_KF NVARCHAR2(15),
`  		LASTNAME_KH NVARCHAR2(15),
`  		CONSTRAINT U_JP_LASTNAME UNIQUE (LASTNAME),  
`  		CONSTRAINT PK_JP_LASTNAME PRIMARY KEY (SEQ))  
`    ~DPTS`
`TABLE ~DPID..OPTIM_JP_DOMAIN_NAMES
`CREATE TABLE ~DPID..OPTIM_JP_DOMAIN_NAMES
`	( SEQ NUMBER,  
`   		DOMAIN_NAME NVARCHAR2(50),
`  		CONSTRAINT PK_JP_DOMAIN_NAMES PRIMARY KEY (SEQ))
`    ~DPTS`
`Grant privileges to TABLE ~DPID..OPTIM_JP_ADDRESSES
`GRANT ALL ON ~DPID..OPTIM_JP_ADDRESSES TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_JP_FIRSTNAME_F 
`GRANT ALL ON ~DPID..OPTIM_JP_FIRSTNAME_F  TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_JP_FIRSTNAME_M
`GRANT ALL ON ~DPID..OPTIM_JP_FIRSTNAME_M TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_JP_FIRSTNAME
`GRANT ALL ON ~DPID..OPTIM_JP_FIRSTNAME TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_JP_LASTNAME
`GRANT ALL ON ~DPID..OPTIM_JP_LASTNAME TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_JP_PERSON
`GRANT ALL ON ~DPID..OPTIM_JP_PERSON TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_JP_DOMAIN_NAMES
`GRANT ALL ON ~DPID..OPTIM_JP_DOMAIN_NAMES TO PUBLIC`





