/*--------------------------------------------------------------------*
 *  Oracle102 package used by Catalog Services for Encryption         *
 *--------------------------------------------------------------------*/
 CREATE OR REPLACE PACKAGE BODY ~ALTSPQUALIFIER..PSTO11V0100_CSSENCRYPT AS

/*--------------------------------------------------------------------*
 *  Procedure used to acquire Encryption algorithm                    *
 *--------------------------------------------------------------------*/
 PROCEDURE PSTV0100_CSSGETENCALG
   (RowsToGet             IN INTEGER,
    ObjectNumIn           IN INTEGER,
    Encalg               OUT INTEGER) is

 BEGIN
     SELECT ENCALG
       INTO Encalg
       FROM SYS.ENC$
      WHERE OBJ# = ObjectNumIn;
 END PSTV0100_CSSGETENCALG;
END PSTO11V0100_CSSENCRYPT;



