 CREATE OR REPLACE PACKAGE ~ALTSPQUALIFIER..PSTO12V0100_CSSENCRYPT AS
/*
    Oracle12C package used by Catalog Services for Encryption

    Licensed Materials - Property of IBM

    "Restricted Materials of IBM"

    5724-U38, 5724-U39, 5724-U48

     Copyright IBM Corp. 2017 All Rights Reserved

     Copyright 2017 UNICOM Systems, Inc. - All Rights Reserved

    US Government Users Restricted Rights - Use, duplication or
    disclosure restricted by GSA ADP Schedule Contract with
    IBM Corp.
*/

/*--------------------------------------------------------------------*
 *  Procedure used to acquire Encryption algorithm                    *
 *--------------------------------------------------------------------*/
 PROCEDURE PSTV0100_CSSGETENCALG
   (RowsToGet             IN INTEGER,
    ObjectNumIn           IN INTEGER,
    Encalg               OUT INTEGER);
 END PSTO12V0100_CSSENCRYPT;
/

grant execute on ~ALTSPQUALIFIER..PSTO12V0100_CSSENCRYPT to ~ALTGRANTAUTHID
/

