>Table ~DIRECTORYID..PSTARCVFDAT2
>CREATE TABLE ~DIRECTORYID..PSTARCVFDAT2(
>        ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(6,0)    NOT NULL,
>        OPTIONS1          VARCHAR2(240)  NOT NULL,
>        OPTIONS2          VARCHAR2(240)  NOT NULL,
>        OPTIONS3          VARCHAR2(240)  NOT NULL,
>        OPTIONS4          VARCHAR2(240)  NOT NULL,
>        OPTIONS5          VARCHAR2(240)  NOT NULL,
>        OPTIONS6          VARCHAR2(240)  NOT NULL,
>        OPTIONS7          VARCHAR2(240)  NOT NULL,
>        OPTIONS8          VARCHAR2(240)  NOT NULL,
>       CONSTRAINT PSTARCVDAT_PK2
>        PRIMARY KEY
>       (ARCHIVEID,
>        SEQNO))
>        ~TSARCFDAT>
>Table ~DIRECTORYID..PSTARCVFILE2
>CREATE TABLE ~DIRECTORYID..PSTARCVFILE2(
>        ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        ARCVFILENAME      VARCHAR2(250)  NOT NULL,
>        INDXFILENAME      VARCHAR2(250)  NOT NULL,
>        BRSXFILENAME      VARCHAR2(250)  NOT NULL,
>        ARCVMEDIAFMT      CHAR(1)        NOT NULL,
>        INDXMEDIAFMT      CHAR(1)        NOT NULL,
>        BRSXMEDIAFMT      CHAR(1)        NOT NULL,
>        DATETIMEOFARCHIVE CHAR(19)       NOT NULL,
>        GROUPNAME         VARCHAR2(24)   NOT NULL,
>        USERID            VARCHAR2(255)  NOT NULL,
>        SERVNAME          VARCHAR2(255)  NOT NULL,
>        DESCR             VARCHAR2(255)  NOT NULL,
>        STATUS            CHAR(1)        NOT NULL,
>        GUID              CHAR(38)       NOT NULL,
>        CHECKSUM          NUMBER(12,0)   NOT NULL,
>	     ARPDELDATE        CHAR(10),
>        CONSTRAINT PSTARCVFILE_PK2
>        PRIMARY KEY
>       (ARCHIVEID))
>        ~TSARCFILE>
>Table ~DIRECTORYID..PSTARCVSEG2
>CREATE TABLE ~DIRECTORYID..PSTARCVSEG2
>       (ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        SEGMENTTYPE       CHAR(1)        NOT NULL,
>        SEGMENTID         NUMBER(12,0)   NOT NULL,
>        ARCVMEDIAFMT      CHAR(1)        NOT NULL,
>        SEGFILENAME       VARCHAR2(250)  NOT NULL,
>        SRVSHARENAME      VARCHAR2(250)  NOT NULL,
>        CHECKSUM          NUMBER(12,0)   NOT NULL,
>        OPTIONS1          VARCHAR2(255)  NOT NULL,
>        OPTIONS2          VARCHAR2(255)  NOT NULL,
>        OPTIONS3          VARCHAR2(255)  NOT NULL,
>       CONSTRAINT PSTARCVSEG_PK2
>        PRIMARY KEY
>       (ARCHIVEID,
>        SEGMENTTYPE,
>        SEGMENTID))
>        ~TSARCSEG>
>Table ~DIRECTORYID..PSTARCVTBL2
>CREATE TABLE ~DIRECTORYID..PSTARCVTBL2
>       (ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        TABLEDBALIAS      VARCHAR2(36)   NOT NULL,
>        TABLECREATORID    VARCHAR2(192)  NOT NULL,
>        TABLENAME         VARCHAR2(192)  NOT NULL,
>        TABLEID           NUMBER(12,0)   NOT NULL,
>        STARTTABLEFLAG    CHAR(1)        NOT NULL,
>        CHECKSUM          NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(6,0)    NOT NULL,
>        TABLEDATA1        VARCHAR2(250)  NOT NULL,
>        TABLEDATA2        VARCHAR2(250)  NOT NULL,
>        TABLEDATA3        VARCHAR2(250)  NOT NULL,
>        TABLEDATA4        VARCHAR2(250)  NOT NULL,
>        TABLEDATA5        VARCHAR2(250)  NOT NULL,
>        TABLEDATA6        VARCHAR2(250)  NOT NULL,
>       CONSTRAINT PSTARCVTBL_PK2
>        PRIMARY KEY
>       (ARCHIVEID,
>        TABLEID,
>        SEQNO))
>        ~TSARCTABLE>
>Table ~DIRECTORYID..PSTAUDIT2
>CREATE TABLE ~DIRECTORYID..PSTAUDIT2
>       (DBALIAS           VARCHAR2(36)   NOT NULL,
>        CREATORID         VARCHAR2(192)  NOT NULL,
>        TABLENAME         VARCHAR2(192)  NOT NULL,
>        USERID            VARCHAR2(255)  NOT NULL,
>        AUDIT_TYPE        CHAR(1)        NOT NULL,
>        ACTION_DT         DATE
>                          DEFAULT 
>                          SYSDATE        NOT NULL,
>        SEQNO             NUMBER(20)     NOT NULL, 
>        SUBSEQNO          NUMBER(6)      NOT NULL, 
>        CHECKSUM          NUMBER(12)     NOT NULL,
>        DATA1             VARCHAR2(255)  NOT NULL, 
>        DATA2             VARCHAR2(255)  NOT NULL, 
>        DATA3             VARCHAR2(255)  NOT NULL, 
>        DATA4             VARCHAR2(255)  NOT NULL, 
>       CONSTRAINT PSTAUDIT_PK2
>        PRIMARY KEY
>       (DBALIAS,
>        CREATORID,
>        TABLENAME,
>        SEQNO,
>        SUBSEQNO,
>        AUDIT_TYPE))
>        ~TSAUDIT>
>Table ~DIRECTORYID..PSTCOLLECTION2
>CREATE TABLE ~DIRECTORYID..PSTCOLLECTION2
>       (COLLECTION_ID     VARCHAR2(45)   NOT NULL,
>        COLLECTION_NAME   VARCHAR2(90)   NOT NULL,
>        ROW_TYPE          CHAR(1)        NOT NULL,
>        ARCHIVEID         NUMBER(12,0)   NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        SEQNO             NUMBER(12,0)   NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        DEFINITION1       VARCHAR2(255)  NOT NULL,
>        DEFINITION2       VARCHAR2(255)  NOT NULL,
>        DEFINITION3       VARCHAR2(255)  NOT NULL,
>        DEFINITION4       VARCHAR2(255)  NOT NULL,
>        DEFINITION5       VARCHAR2(255)  NOT NULL,
>       CONSTRAINT PSTCOLLECTION_PK2
>        PRIMARY KEY
>       (COLLECTION_ID,
>        COLLECTION_NAME,
>        ROW_TYPE,
>        ARCHIVEID,
>        SEQNO))
>        ~TSCOLLECT>
>Table ~DIRECTORYID..PSTDBA2
>CREATE TABLE ~DIRECTORYID..PSTDBA2
>       (DBALIAS_NAME      VARCHAR2(36)   NOT NULL,
>        DBMS_TYPE         CHAR(1)        NOT NULL,
>        DESCRIPTION       VARCHAR2(255)  NOT NULL,
>        CONNECT_STR       VARCHAR2(255)  NOT NULL,
>        QUALIFIER         VARCHAR2(192)  NOT NULL,
>        DIRDB             CHAR(1)        NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        OPTIONS1          VARCHAR2(228)  NOT NULL,
>        OPTIONS2          VARCHAR2(228)  NOT NULL,
>        OPTIONS3          VARCHAR2(228)  NOT NULL,
>        OPTIONS4          VARCHAR2(228)  NOT NULL,
>        CONTENT_ID        CHAR(36),
>       CONSTRAINT PSTDBA_PK2
>        PRIMARY KEY
>       (DBALIAS_NAME))
>        ~TSDBALIAS>
>Table ~DIRECTORYID..PSTOBJ2
>CREATE TABLE ~DIRECTORYID..PSTOBJ2
>       (OBJ_ID            VARCHAR2(45)   NOT NULL,
>        OBJ_NAME          VARCHAR2(90)   NOT NULL,
>        OBJ_TYPE          CHAR(1)        NOT NULL,
>        DESCRIPTION       VARCHAR2(120)  NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(5,0)    NOT NULL,
>        OPTIONS           VARCHAR2(201)  NOT NULL,
>        DEFINITION1       VARCHAR2(255)  NOT NULL,
>        DEFINITION2       VARCHAR2(255)  NOT NULL,
>        DEFINITION3       VARCHAR2(255)  NOT NULL,
>        DEFINITION4       VARCHAR2(255)  NOT NULL,
>        CONTENT_ID        CHAR(36),
>       CONSTRAINT PSTOBJ_PK2
>        PRIMARY KEY
>       (OBJ_ID,
>        OBJ_NAME,
>        OBJ_TYPE,
>        SEQNO))
>        ~TSOBJ>
>Table ~DIRECTORYID..PSTPK2
>CREATE TABLE ~DIRECTORYID..PSTPK2
>       (DBALIAS_NAME      VARCHAR2(36)   NOT NULL,
>        CREATOR_ID        VARCHAR2(192)  NOT NULL,
>        TABLE_NAME        VARCHAR2(192)  NOT NULL,
>        DESCRIPTION       VARCHAR2(120)  NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(5,0)    NOT NULL,
>        NUM_COL           NUMBER(5,0)    NOT NULL,
>        DEFINITION1       VARCHAR2(255)  NOT NULL,
>        DEFINITION2       VARCHAR2(255)  NOT NULL,
>        DEFINITION3       VARCHAR2(255)  NOT NULL,
>        DEFINITION4       VARCHAR2(255)  NOT NULL,
>       CONSTRAINT PSTPK_PK2
>        PRIMARY KEY
>       (DBALIAS_NAME,
>        CREATOR_ID,
>        TABLE_NAME,
>        SEQNO))
>        ~TSPK>
>Table ~DIRECTORYID..PSTPT2
>CREATE TABLE ~DIRECTORYID..PSTPT2
>       (CTRLDSN           VARCHAR2(250)  NOT NULL,
>        DATADSN           VARCHAR2(250)  NOT NULL,
>        STATE             NUMBER(5,0)    NOT NULL,
>        LASTTYPE          NUMBER(5,0)    NOT NULL,
>        LASTACTION        NUMBER(5,0)    NOT NULL,
>        USERID            VARCHAR2(255)  NOT NULL,
>        TIME              NUMBER(10,0)   NOT NULL,
>        TABLENUM          NUMBER(5,0)    NOT NULL,
>        LUW               NUMBER(5,0)    NOT NULL,
>        SERVICE_INSTANCE_ID CHAR(36),            
>       CONSTRAINT PSTPT_PK2
>        PRIMARY KEY
>       (CTRLDSN))
>        ~TSPT>
>Table ~DIRECTORYID..PSTREL2
>CREATE TABLE ~DIRECTORYID..PSTREL2
>       (DEP_DBALIAS_NAME  VARCHAR2(36)   NOT NULL,
>        DEP_CREATOR_ID    VARCHAR2(192)  NOT NULL,
>        DEP_TABLE_NAME    VARCHAR2(192)  NOT NULL,
>        REL_NAME          VARCHAR2(192)  NOT NULL,
>        REL_TYPE          CHAR(1)        NOT NULL,
>        PAR_DBALIAS_NAME  VARCHAR2(36)   NOT NULL,
>        PAR_CREATOR_ID    VARCHAR2(192)  NOT NULL,
>        PAR_TABLE_NAME    VARCHAR2(192)  NOT NULL,
>        DESCRIPTION       VARCHAR2(120)  NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        SEQNO             NUMBER(6,0)    NOT NULL,
>        STRUCT_ID         CHAR(4)        NOT NULL,
>        OPTIONS1          VARCHAR2(240)  NOT NULL, 
>        DEFINITION1       VARCHAR2(255)  NOT NULL, 
>       CONSTRAINT PSTREL_PK2
>        PRIMARY KEY
>       (DEP_DBALIAS_NAME,
>        DEP_CREATOR_ID,
>        DEP_TABLE_NAME,
>        REL_TYPE,
>        REL_NAME,
>        SEQNO))
>        ~TSREL>
>Index ~DIRECTORYID..PSTREL_CID2 for table ~DIRECTORYID..PSTREL2
>CREATE INDEX ~DIRECTORYID..PSTREL_CID2
>        ON ~DIRECTORYID..PSTREL2
>       (PAR_DBALIAS_NAME,
>        PAR_CREATOR_ID,
>        PAR_TABLE_NAME,
>        REL_TYPE,
>        REL_NAME,
>        SEQNO)
>        ~TSREL>
>Table ~DIRECTORYID..PSTSEC2
>CREATE TABLE ~DIRECTORYID..PSTSEC2
>       (SEC_NAME1         VARCHAR2(36)   NOT NULL,
>        SEC_NAME2         VARCHAR2(255)  NOT NULL,
>        SEC_NAME3         VARCHAR2(255)  NOT NULL,
>        SEC_NAME4         VARCHAR2(255)  NOT NULL,
>        SEC_TYPE          CHAR(1)        NOT NULL,
>        DESCRIPTION       VARCHAR2(120)  NOT NULL,
>        OWNDOMAIN         VARCHAR2(162)  NOT NULL,
>        OWNNAME           VARCHAR2(90)   NOT NULL,
>        MOD_USERID        VARCHAR2(255)  NOT NULL,
>        MOD_DATETIME      CHAR(19)       NOT NULL,
>        CHECK_SUM         NUMBER(12,0)   NOT NULL,
>        OPTIONS1          VARCHAR2(255)  NOT NULL,
>       CONSTRAINT PSTSEC_PK2
>        PRIMARY KEY
>       (SEC_NAME1,
>        SEC_NAME2,
>        SEC_TYPE))
>        ~TSSEC>
>Table ~DIRECTORYID..PSTSECDAT2
>CREATE TABLE ~DIRECTORYID..PSTSECDAT2
>       (SEC_NAME1         VARCHAR2(36)   NOT NULL,
>        SEC_NAME2         VARCHAR2(255)  NOT NULL,
>        SEC_TYPE          CHAR(1)        NOT NULL,
>        SEQNO             NUMBER(6,0)    NOT NULL,
>        DEFINITION1       VARCHAR2(234)  NOT NULL,
>        DEFINITION2       VARCHAR2(234)  NOT NULL,
>        DEFINITION3       VARCHAR2(234)  NOT NULL,
>        DEFINITION4       VARCHAR2(234)  NOT NULL,
>        DEFINITION5       VARCHAR2(234)  NOT NULL,
>        DEFINITION6       VARCHAR2(234)  NOT NULL,
>        DEFINITION7       VARCHAR2(234)  NOT NULL,
>       CONSTRAINT PSTSECDAT_PK2
>        PRIMARY KEY
>       (SEC_NAME1,
>        SEC_NAME2,
>        SEC_TYPE,
>        SEQNO))
>        ~TSSECDAT>
>Table ~DIRECTORYID..OPTIM_DIRECTORY_PROPERTIES
>CREATE TABLE ~DIRECTORYID..OPTIM_DIRECTORY_PROPERTIES (
>    NAME            VARCHAR2(128) NOT NULL,
>    VALUE           VARCHAR2(128) NOT NULL,
>	CONSTRAINT DIRECTORY_PROP_PK PRIMARY KEY (NAME)
>)~TSCONFCONT>
