`TABLE ~DPID..OPTIM_AU_ADDRESSES
`CREATE TABLE ~DPID..OPTIM_AU_ADDRESSES 
`	 ( SEQ NUMBER,
`		ADDRESS1 VARCHAR2(100) NOT NULL,
`		ADDRESS2 VARCHAR2(100),
`		LOCALITY VARCHAR2(56),
`		CITY VARCHAR2(80) NOT NULL,
`		POSTCODE CHAR(16) NOT NULL,
`		CONSTRAINT UAU_ADDRESSES UNIQUE (ADDRESS1,CITY,POSTCODE),
`		CONSTRAINT PK_AU_ADDRESSES PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_AU_FIRSTNAME_F 
`CREATE TABLE ~DPID..OPTIM_AU_FIRSTNAME_F 
`	 ( SEQ NUMBER,
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UAU_FIRSTNAMEF UNIQUE (FIRSTNAME),
`		CONSTRAINT PK_AU_FIRSTNAME_F PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_AU_FIRSTNAME_M
`CREATE TABLE ~DPID..OPTIM_AU_FIRSTNAME_M 
`	 ( SEQ NUMBER,
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UAU_FIRSTNAMEM UNIQUE (FIRSTNAME),
`		CONSTRAINT PK_AU_FIRSTNAME_M PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_AU_FIRSTNAME
`CREATE TABLE ~DPID..OPTIM_AU_FIRSTNAME 
`	 ( SEQ NUMBER,
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UAU_FIRSTNAME UNIQUE (FIRSTNAME),
`		CONSTRAINT PK_AU_FIRSTNAME PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_AU_LASTNAME
`CREATE TABLE ~DPID..OPTIM_AU_LASTNAME
`	 ( SEQ NUMBER,
`		LASTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UAU_LASTNAME UNIQUE (LASTNAME),
`		CONSTRAINT PK_AU_LASTNAME PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_AU_PERSON
`CREATE TABLE ~DPID..OPTIM_AU_PERSON 
`   ( SEQ NUMBER,
`		ID CHAR(12),
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		LASTNAME VARCHAR2(60) NOT NULL,
`		COMPANY VARCHAR2(80),
`		NATIONALID VARCHAR2(22),
`		SEX CHAR(2) NOT NULL,
`		PHONE VARCHAR2(28) NOT NULL,
`		BIRTHDATE DATE NOT NULL,
`		EMAIL_ADDRESS VARCHAR2(100),
`		CONSTRAINT UAU_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
`		CONSTRAINT PK_AU_PERSON PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_UK_ADDRESSES
`CREATE TABLE ~DPID..OPTIM_UK_ADDRESSES
`	 ( SEQ NUMBER,
`		ADDRESS1 VARCHAR2(100) NOT NULL, 		
`		ADDRESS2 VARCHAR2(100),
`		LOCALITY VARCHAR2(56),
`		POSTTOWN VARCHAR2(80) NOT NULL,
`		POSTCODE CHAR(16) NOT NULL,
`		CONSTRAINT UUK_ADDRESSES UNIQUE (ADDRESS1,POSTTOWN,POSTCODE),
`		CONSTRAINT PK_UK_ADDRESSES PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_UK_FIRSTNAME
`CREATE TABLE ~DPID..OPTIM_UK_FIRSTNAME
`	 ( SEQ NUMBER,
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UUK_FIRSTNAME UNIQUE (FIRSTNAME),
`		CONSTRAINT PK_UK_FIRSTNAME PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_UK_FIRSTNAME_F
`CREATE TABLE ~DPID..OPTIM_UK_FIRSTNAME_F
`	 ( SEQ NUMBER,
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UUK_FIRSTNAMEF UNIQUE (FIRSTNAME),
`		CONSTRAINT PK_UK_FIRSTNAME_F PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_UK_FIRSTNAME_M
`CREATE TABLE ~DPID..OPTIM_UK_FIRSTNAME_M
`	 ( SEQ NUMBER,
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UUK_FIRSTNAMEM UNIQUE (FIRSTNAME),
`		CONSTRAINT PK_UK_FIRSTNAME_M PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_UK_LASTNAME
`CREATE TABLE ~DPID..OPTIM_UK_LASTNAME
`	 ( SEQ NUMBER,
`		LASTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UUK_LASTNAME UNIQUE (LASTNAME),
`		CONSTRAINT PK_UK_LASTNAME PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_UK_PERSON
`CREATE TABLE ~DPID..OPTIM_UK_PERSON
`	 ( SEQ NUMBER,
`		ID CHAR(12),
` 		FIRSTNAME VARCHAR2(60) NOT NULL,
`		LASTNAME VARCHAR2(60) NOT NULL,
`		COMPANY VARCHAR2(80),
`		NATIONALID VARCHAR2(22),
`		SEX CHAR(2) NOT NULL,
`		PHONE VARCHAR2(26) NOT NULL,
`		BIRTHDATE DATE NOT NULL,
`		EMAIL_ADDRESS VARCHAR2(100),
`		CONSTRAINT UUK_PERSON UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
`		CONSTRAINT PK_UK_PERSON PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_US_ADDRESSES
`CREATE TABLE ~DPID..OPTIM_US_ADDRESSES
`	 ( SEQ NUMBER,
`		ADDRESS1 VARCHAR2(100) NOT NULL,
` 		ADDRESS2 VARCHAR2(100),
`		CITY VARCHAR2(80) NOT NULL,
`		STATE CHAR(4) NOT NULL,
`		ZIPCODE CHAR(10) NOT NULL,
`		ZIPPLUS4 CHAR(8) NOT NULL,
`		CONSTRAINT UUS_ADDRESSES UNIQUE (ADDRESS1,CITY,STATE,ZIPCODE,ZIPPLUS4),
`		CONSTRAINT PK_US_ADDRESSES PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_US_FIRSTNAME
`CREATE TABLE ~DPID..OPTIM_US_FIRSTNAME
`	 ( SEQ NUMBER,
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UUS_FIRSTNAME UNIQUE (FIRSTNAME),
`		CONSTRAINT PK_US_FIRSTNAME PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_US_FIRSTNAME_F
`CREATE TABLE ~DPID..OPTIM_US_FIRSTNAME_F
`	 ( SEQ NUMBER,
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UUS_FIRSTNAMEF UNIQUE (FIRSTNAME),
`		CONSTRAINT PK_US_FIRSTNAME_F PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_US_FIRSTNAME_M
`CREATE TABLE ~DPID..OPTIM_US_FIRSTNAME_M
`	 ( SEQ NUMBER,
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UUS_FIRSTNAMEM UNIQUE (FIRSTNAME),
`		CONSTRAINT PK_US_FIRSTNAME_M PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_US_LASTNAME
`CREATE TABLE ~DPID..OPTIM_US_LASTNAME
`		( SEQ NUMBER,
`		LASTNAME VARCHAR2(60) NOT NULL,
`		CONSTRAINT UUS_LASTNAME UNIQUE (LASTNAME),
`		CONSTRAINT PK_US_LASTNAME PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_US_PERSON
`CREATE TABLE ~DPID..OPTIM_US_PERSON
`	 ( SEQ NUMBER,
`		ID CHAR(12),
`		FIRSTNAME VARCHAR2(60) NOT NULL,
`		LASTNAME VARCHAR2(60) NOT NULL,
`		COMPANY VARCHAR2(80),
`		SSN VARCHAR2(22),
`		SEX CHAR(2) NOT NULL,
`		PHONE VARCHAR2(24) NOT NULL,
`		BIRTHDATE DATE NOT NULL,
`		EMAIL_ADDRESS VARCHAR2(100),
`		CONSTRAINT UUS_PERSON  UNIQUE (FIRSTNAME,LASTNAME,SEX,PHONE,BIRTHDATE),
`		CONSTRAINT PK_US_PERSON PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_AMEX_CCN
`CREATE TABLE ~DPID..OPTIM_AMEX_CCN
`	 ( SEQ NUMBER,
`		DATAVALUE CHAR(30) NOT NULL,
`		CONSTRAINT U_AMEX UNIQUE (DATAVALUE),
`		CONSTRAINT PK_AMEX_CCN PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_COMPANY
`CREATE TABLE ~DPID..OPTIM_COMPANY
`	 ( SEQ NUMBER,
`		NAME VARCHAR2(100) NOT NULL,
`		CONSTRAINT U_COMPANY UNIQUE (NAME),
`		CONSTRAINT PK_COMPANY PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_DC_CCN
`CREATE TABLE ~DPID..OPTIM_DC_CCN
`	 ( SEQ NUMBER,
`		DATAVALUE CHAR(28) NOT NULL,
`		CONSTRAINT U_DC UNIQUE (DATAVALUE),
`		CONSTRAINT PK_DC_CCN PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_DISC_CCN
`CREATE TABLE ~DPID..OPTIM_DISC_CCN
`	 ( SEQ NUMBER,
`		DATAVALUE CHAR(32) NOT NULL,
`		CONSTRAINT U_DISC UNIQUE (DATAVALUE),
`		CONSTRAINT PK_DISC_CCN PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_JCB_CCN
`CREATE TABLE ~DPID..OPTIM_JCB_CCN
`	 ( SEQ NUMBER,
`		DATAVALUE VARCHAR2(32) NOT NULL,
`		CONSTRAINT U_JCB UNIQUE (DATAVALUE),
`		CONSTRAINT PK_JCB_CCN PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_MC_CCN
`CREATE TABLE ~DPID..OPTIM_MC_CCN 
`	 ( SEQ NUMBER,
`		DATAVALUE CHAR(32) NOT NULL,
`		CONSTRAINT U_MC UNIQUE (DATAVALUE),
`		CONSTRAINT PK_MC_CCN PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_VISA_CCN
`CREATE TABLE ~DPID..OPTIM_VISA_CCN
`	 ( SEQ NUMBER,
`		DATAVALUE VARCHAR2(32),
`		CONSTRAINT U_VISA UNIQUE (DATAVALUE),
`		CONSTRAINT PK_VISA_CCN PRIMARY KEY (SEQ))
`    ~DPTS`
`TABLE ~DPID..OPTIM_DOMAIN_NAMES
`CREATE TABLE ~DPID..OPTIM_DOMAIN_NAMES
` 	 ( SEQ NUMBER,
`		DOMAIN_NAME VARCHAR2(100) NOT NULL,
`		CONSTRAINT U_DOMAIN_NAMES UNIQUE (DOMAIN_NAME),
`		CONSTRAINT PK_DOMAIN_NAMES PRIMARY KEY (SEQ))
`    ~DPTS`
`Grant privileges to TABLE ~DPID..OPTIM_AU_ADDRESSES
`GRANT ALL ON ~DPID..OPTIM_AU_ADDRESSES TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_AU_FIRSTNAME_F 
`GRANT ALL ON ~DPID..OPTIM_AU_FIRSTNAME_F  TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_AU_FIRSTNAME_M
`GRANT ALL ON ~DPID..OPTIM_AU_FIRSTNAME_M TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_AU_FIRSTNAME
`GRANT ALL ON ~DPID..OPTIM_AU_FIRSTNAME TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_AU_LASTNAME
`GRANT ALL ON ~DPID..OPTIM_AU_LASTNAME TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_AU_PERSON
`GRANT ALL ON ~DPID..OPTIM_AU_PERSON TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_UK_ADDRESSES
`GRANT ALL ON ~DPID..OPTIM_UK_ADDRESSES TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_UK_FIRSTNAME_F 
`GRANT ALL ON ~DPID..OPTIM_UK_FIRSTNAME_F  TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_UK_FIRSTNAME_M
`GRANT ALL ON ~DPID..OPTIM_UK_FIRSTNAME_M TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_UK_FIRSTNAME
`GRANT ALL ON ~DPID..OPTIM_UK_FIRSTNAME TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_UK_LASTNAME
`GRANT ALL ON ~DPID..OPTIM_UK_LASTNAME TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_UK_PERSON
`GRANT ALL ON ~DPID..OPTIM_UK_PERSON TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_US_ADDRESSES
`GRANT ALL ON ~DPID..OPTIM_US_ADDRESSES TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_US_FIRSTNAME_F 
`GRANT ALL ON ~DPID..OPTIM_US_FIRSTNAME_F  TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_US_FIRSTNAME_M
`GRANT ALL ON ~DPID..OPTIM_US_FIRSTNAME_M TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_US_FIRSTNAME
`GRANT ALL ON ~DPID..OPTIM_US_FIRSTNAME TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_US_LASTNAME
`GRANT ALL ON ~DPID..OPTIM_US_LASTNAME TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_US_PERSON
`GRANT ALL ON ~DPID..OPTIM_US_PERSON TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_AMEX_CCN
`GRANT ALL ON ~DPID..OPTIM_AMEX_CCN TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_COMPANY
`GRANT ALL ON ~DPID..OPTIM_COMPANY TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_DC_CCN
`GRANT ALL ON ~DPID..OPTIM_DC_CCN TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_DISC_CCN
`GRANT ALL ON ~DPID..OPTIM_DISC_CCN TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_JCB_CCN
`GRANT ALL ON ~DPID..OPTIM_JCB_CCN TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_MC_CCN
`GRANT ALL ON ~DPID..OPTIM_MC_CCN TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_VISA_CCN
`GRANT ALL ON ~DPID..OPTIM_VISA_CCN TO PUBLIC`
`Grant privileges to TABLE ~DPID..OPTIM_DOMAIN_NAMES
`GRANT ALL ON ~DPID..OPTIM_DOMAIN_NAMES TO PUBLIC`