set quoted_identifier off
go

set implicit_transactions off
go

DROP PROCEDURE ~ALTSPQUALIFIER..PSTM90V0100_CSSGETSEGMENT
go

DROP PROCEDURE ~ALTSPQUALIFIER..PSTM90V0100_CSSSEGLIST
go

DROP PROCEDURE ~ALTSPQUALIFIER..PSTM90V0100_CSSGETSIGNATURE
go

CREATE PROCEDURE ~ALTSPQUALIFIER..PSTM90V0100_CSSGETSEGMENT
       @SegName   sysname
 AS
 set nocount on
 SELECT isnull(f.status,0),
        f.groupid
   FROM sysfilegroups f
   WHERE f.groupname = @SegName
go

CREATE PROCEDURE ~ALTSPQUALIFIER..PSTM90V0100_CSSSEGLIST
 AS
 set nocount on
 SELECT f.groupname
   FROM sysfilegroups f
   ORDER BY groupname
go

CREATE PROCEDURE ~ALTSPQUALIFIER..PSTM90V0100_CSSGETSIGNATURE
       @Style     smallint
 AS
 declare  @Case      char(1)         /* Case Flag                     */
 set nocount on
 if ('a' = 'A') set @Case = 'F'
 else set @Case = 'T'
 SELECT convert(varchar(19),d.crdate,@Style),
        db_name(), @Case
   FROM master.dbo.sysdatabases d
   WHERE d.name = 'msdb'
go

grant execute on ~ALTSPQUALIFIER..PSTM90V0100_CSSGETSEGMENT to ~ALTGRANTAUTHID
go

grant execute on ~ALTSPQUALIFIER..PSTM90V0100_CSSSEGLIST to ~ALTGRANTAUTHID
go

grant execute on ~ALTSPQUALIFIER..PSTM90V0100_CSSGETSIGNATURE to ~ALTGRANTAUTHID
go

set implicit_transactions on
go

set quoted_identifier on
go

