set quoted_identifier off
go

set implicit_transactions off
go

DROP PROCEDURE ~ALTSPQUALIFIER..PSTM17V0100_CSSGETSEGMENT
go

DROP PROCEDURE ~ALTSPQUALIFIER..PSTM17V0100_CSSSEGLIST
go

DROP PROCEDURE ~ALTSPQUALIFIER..PSTM17V0100_CSSGETSIGNATURE
go

CREATE PROCEDURE ~ALTSPQUALIFIER..PSTM17V0100_CSSGETSEGMENT
       @SegName   sysname
 AS
declare  @dbname   sysname
DECLARE  @sql      nvarchar(4000)

set @dbname = ORIGINAL_DB_NAME()

 set nocount on
SET @sql = N'
 SELECT isnull(f.status,0),
        f.groupid
   FROM ['+ @dbname+'].sys.sysfilegroups f
   WHERE f.groupname = @ParSegName '
 EXEC sp_executesql @sql, N'@ParSegName sysname', @ParSegName = @SegName
go

CREATE PROCEDURE ~ALTSPQUALIFIER..PSTM17V0100_CSSSEGLIST
 AS
declare  @dbname   sysname
DECLARE  @sql      nvarchar(4000)
set @dbname = ORIGINAL_DB_NAME()

 set nocount on
SET @sql = N'
 SELECT f.groupname
   FROM ['+ @dbname+'].sys.sysfilegroups f
   ORDER BY groupname'
 EXEC sp_executesql @sql
go


CREATE PROCEDURE ~ALTSPQUALIFIER..PSTM17V0100_CSSGETSIGNATURE
       @Style     smallint
 AS
 declare  @Case      char(1)         /* Case Flag                     */
 set nocount on
 if ('a' = 'A') set @Case = 'F'
 else set @Case = 'T'
 SELECT convert(varchar(19),d.create_date,@Style),
        db_name(), @Case
   FROM sys.databases d
   WHERE d.name = 'master'
go


grant execute on ~ALTSPQUALIFIER..PSTM17V0100_CSSGETSEGMENT to ~ALTGRANTAUTHID
go

grant execute on ~ALTSPQUALIFIER..PSTM17V0100_CSSSEGLIST to ~ALTGRANTAUTHID
go

grant execute on ~ALTSPQUALIFIER..PSTM17V0100_CSSGETSIGNATURE to ~ALTGRANTAUTHID
go

set implicit_transactions on
go

set quoted_identifier on
go

